ASP Express
ASP Express Help Files
the best ASP/ASP.Net Text Editor in the Galaxy


 FORMATTING
The ASP Express Standard of formatting entails several pieces.
  1. If a section of text is highlighted before formatting is applied, the formatting is applied around it.
  2. If there is no section of text highlighted, generally, the cursor ends up in between the open and close tags.
  3. If a selection was made, the selection will remain after the formatting has been applied in order to apply more types of formatting easily without having to re-select the text.


 ALIGNMENT
The Left & Right alignments are in the form of :
<p align right> This is the paragraph </p>

The Center Alignment
<div align="center" > This is the paragraph </div>

Available through the Format pull-down menu and the Toolbar Buttons


 BLOCK FORMATTING
Using the Format menu, there are three block formatting tags available:
Preformatted
BlockQuote
DIR

In the HTML section - Tags Tab of the Express Toolbox, there are quite a few more
<address> | <blockquote> | <center>
<div> | <span> | <ins>
<layer> | <listing> | <marquee>
<pre>


HTML Comment

 COMMENT
Clicking this command with your selected text will, in effect, hide your selection on the web page. It will make it a comment and not visible. This is very good for documentation of larger web pages. You can use comments, just like programmers do to, to separate sections of HTML code for easier navigation. This command is available in the formatting pull-down menu as well as the HTML Toolbar. If a section of text is highlighted, this command will surround the entire selection as a comment.


 HEADER TAGS
Clicking on this pull down menu series, with a word or phrase highlighted, you can turn it into any one of the Heading sizes allowable in HTML.


Font

 FONT TAGS
After highlighting a text or phrase, you can either choose the font color, or the font size.
The font color selection brings up a normal Windows dialogue box from which you can use to choose the color you want for the font on the web page. The font color will also change on the text page you are creating, but this part is only for the time of creation. Once you save the file, close & re-open it, the color of the text will be the plain, old, normal, black color.

Clicking on the font size pull down menu series, with a text selection, you can change your selection into any one of the font sizes allowable in HTML.

Keep in mind that these provide their own Open Font tag and Close Font tag. Therefore, they are only to be used when only one font characteristic is to be used. If you want both the Font Size & Font Color changed on your selection, use the Font Format Assistant


 FONT FORMAT ASSISTANT
This assistant is to be used when you want the color, the font face, and/or the font size changed on the same section of selected text. You can change any one of the properties, all of the properties, or any combination of the properties. You can also choose to assign a class name to the tag and either single or double quotes around the attributes.

Font Format Assistant


 LINE BREAKS
There are two selections here - No Line Breaks and Full Line Breaks.
The No Line Breaks command is put around a text selection that you want un-broken on your web page.
The Full Line Break gives you a line break & clears it to the end of the line. This means that no graphics or anything else can go to the right of the Line Break, no matter what its own formatting is.


Subscript/Superscript

 SUBSCRIPT & SUPERSCRIPT
With subscript text, like the chemical formula for water, highlight the number '2' and choose Formatting/Subscript so that you will get : H20. In order to get 5-to the 10th power using Superscript, you would highlight the number '10' and choose Formatting/Superscript so that you will get: 510.


Anchor

 ANCHOR (Named Anchor)
This is also known as a 'Named Anchor' in HTML. It allows you to select text & make the selection a Named Anchor in your HTML document. This means that you can create a link to this anchor. You can either make it visible or invisible. An example of a good use for an invisible anchor would be to create a 'Top' anchor, like --
<A Name="top"><!--top--></A>
Simply put, what it does to create this invisible-ness is just to make it a comment. But it works just like an anchor in every way. If you wanted to use the highlighted text, say a heading, or a word, to be visible, just click in the Visible box. This command is available in the formatting pull-down menu as well as the HTML Toolbar.


 CODE LIBRARIAN
When you choose 'Code Librarian', a dialog box appears with two text boxes. The one on the left is the name of your script, for identification purposes. When you click on one of the items in the left text box, it's corresponding code will appear on the right side. To insert it into your document, at the place where you left your cursor, you can either click on the 'Apply' button, or double click on the item name in the left text box.

Naturally, you can add snippets of code to your Library also. To do this, just click on the 'Add New' button. You will notice that the right text box clears itself of all text and a new text box appears just above the lower buttons, labeled 'New Item'. Also, the 'Update' button turns magenta (that's as close as I can come to exact) in color.

In the 'New Item' text box, you will type in a short name for your script. Make sure it's something you will find it easy to identify with the script you will be entering. Next, either type, copy or drop (drag & drop) the new code snippet in the right side text box. The only thing left is to click the 'Update' button. There, you have it. Your new code is now part of your library to use at any later date.

Also, if you want to change the name of your snippet, or the code within the snippet, press the 'Edit' button. As with the 'AddNew' process, the 'Update' button will turn Magenta in color and in order to update the changes, the 'Update' button must be pressed. If you change your mind, once the 'AddNew' or 'Edit' process is started....make sure to press the 'Cancel' button to cancel the transaction. Otherwise, results are questionable, at least.

Last, but not least is one other option - Insert Code Into Library
To use this, just highlight any piece of existing code you want to insert into the library. Choose the Insert Code Into Library function. In the New Item box - name the code something you can remember it by and click the UPDATE button. IF you do want to change your mind, before you click the UPDATE button, if you click the CANCEL button, it will cancel the whole transaction. It couldn't get any easier than this.


 DATE/TIME (ASP)
This brings up the ASP Date/Time Assistant. Here, you can choose between the standard formats (General, Long Date, Short Date, Short Time and Long Time). Also, you can choose whether or not to surround the phrase with Open & Close ASP tags, a Response.write format or 'MyVariable=' format

Convert Text to HTML
**Note: YOU MUST HAVE A TEXT FILE (NOT AN ASP OR HTML FORMATTED FILE) OPEN FOR THIS TO WORK CORRECTLY!
This is a very simple conversion process. It adds the HTML tags for Line Breaks and Paragraphs to your text file..basically, the way the line breaks and paragraphs are formatted in your text file are the way the html formatting will be done. If there's a plain line break, a <BR> will replace it. If there is a blank line between lines, a <P> will replace it. This is not meant to be a full-featured converter, just a quick way to get rid of some of those nasty formatting chores in an easy manner!


 HTML SECTION TAGS
There are three tags in this menu which, when clicked on, are inserted into the open document. They are:
Line Break (<br> - Alt-I-B)
Paragraph (<p> - Alt-I-P)
Horizontal Rule (<hr> - Alt-I-H>


Insert Link

 LINK
The Link Dialogue box is a very widely useful tool, in my humble opinion. Not only does it allow you to type in the link (file or URL), but it allows you to browse for the file on your hard disk. If the file is in a directory other than the directory of the file you are creating, you will have to type that directory in. You can also specify a default directory, if needed in your preferences (under the File pull-down menu).
You can choose from three types of links:
HTTP
Named Anchor
None

If this is a link to another web site (http://www, etc), you will need to type in the www address & then click on the HTTP radio button. The program will automatically supply the 'HTTP://', as well as all the other link tag parts for you.

If this link is to a Named Anchor within this document, you can either type in the name of the anchor, or choose the anchor from a pull down list of all the Named Anchors on the page ('grabbed' for you automatically), and then click on the Named Anchor radio button. This provides all the appropriate HTML tag syntax for you.

Also, if you are creating a link which will be used in a frame, then, the optional 'Target Name' text box can be used to supply the name of the target frame in which you want it to appear.

And last but not least, if you click in the 'None' radio button, the default link, not referencing a named anchor or an external URL will be used.

As with most of the other items, the Link command is available in the formatting pull-down menu as well as the HTML Toolbar.


Insert Image

 IMAGE
The default text input box is the 'Alternate Text' text box. Here, you will insert the text you want to appear when, in the unlikely event that someone views your page with a non-graphical browser. It also appears as a 'Tool-Tip' in some browsers when you run your mouse over the image. The Graphics Directory is where your graphic image resides. If you designate this in your Properties (Under the File pull-down menu), then it will always remain the same, but can be edited, if need be, on the fly. The alignment box is a pull-down menu of the available alignments for your graphic image.

As you will also see, you can designate your image as an Image Map & give it the URL of the Client side image map. Once you click on 'Select Picture', you can browse to anwhere your image is, select it and it will appear in the box in the lower portion of the dialogue box. The width & the height have been entered for you, so there will be no calculation necessary, unless you want to change the sizes. If you do not enter a number in the Border text box, then the default, Border=0 will be used.

Once all the data is exactly how you want it, just click the 'Apply button & the information will be transferred to your web page.


 FORMS
For those who don't know, the actual functionality of a form, like saving the output to a text file, emailing it, adding it to a database, is done by adding another script of some kind to your pages (ASP, cgi, etc)

The Form Assistants are broken down into two 'screens because Forms can get a little complex. The two Assistants are the Basic Form Assistant and the Form Content Assistant. If you start with the Basic Form Assistant, then, you will automatically be placed in the Form Content Assistant to build your form.

The Form Assistant basically gives you the shell of a form. It allows you to set the Action the form is to make (URL - Like a ASP-CGI script or Email), and set the transfer method (POST or GET).

Other Choices to be made are Form Name, Target Name, Output In Table, and Auto Create Input Form. Assigning a Form Name comes in handy when you want to automatically create focus on a certain Form Field (another feature in ASP Express). Target name allows you to put in your own, or the standard targets possible.
Now, we get to the powerful parts - If you choose Output in Table, you will get just what it sounds like - a Table Format, with the labels on one side, in a cell, right justified, and the Form Fields in a second column/cell.

Auto Create Input Form, again, does just what it sounds like it does. When you click this check box, the form automatically expands so that you can choose an Access database or SQL Server(7 or 2000) Table from which to base the form contents. Click on 'Browse' to browse for an Access database, or 'SQL Server' to choose the SQL Server table needed. Of course, Enterprise Manager must be installed on your computer for this to work to it's fullest potential.

Then, when the Table pull-down list is populated, choose the table the form will use. You can choose the default form item type (text, checkbox or radio button), and the default width of all the text boxes.
Now - click the Apply button and, voilá - you have an input form based on the database & table of your choice!

'ASP.Net' is the checkbox needed for creating your output in ASP.Net format- click on this box and it will put the correct syntax designations inside the Form Tag. It also will allow you then, to check whether or not you want ASP.Net Validation controls added in your auto-form creation.

Once you have completed the information needed in this screen, you get ---

The Form Content Assistant
This assistant provides the following components and their options:

Label Field
Text Field | Name, Default Value, Length & Maximum Length
Password Field
Hidden Text
Upload a File
Radio Button | Name, Default Value
Check Box
Text Box | Name, Default Value, Number of Rows, Number of Columns
Pop-Up Menu | Name, Multiple Selection
Selection List | Brings up the Select List Assistant - allows you to easily create a select list
Submit Form | Name, Button Title
Reset Form
The Label Field allows you to put (to the left of the Form Item) what appears on the form to 'label' the box in which data is to be entered, such as "Last Name"

Option List Item - gives you the following:
<OPTION>
This inserts items in the selection list

Default Option List Item - gives you the following:
<OPTION SELECTED>
This will be the default item selected in the selection list Since it is assumed you will be building an ASP document to carry out the actions of this form, all the form field names are automatically captured for the Request Object Screen


Form Field Validation - Javascript

 FORM FIELD VALIDATION
This is a fairly simple process - it will insert a basic Javascript version of Form Field Validation. Only two types of validation are included in this version - Empty Field validation (it makes sure something is there before it lets the form submit) and Valid Email Validation (makes sure a valid email address is in the box). For this, you must have the word 'email' in the form field name itself.
Just highlight the form tag - then go to the Insert Pull-down menu - Insert/Forms/Form Field Validation. All the rest is done for you....
There is a Javascript that is added between you HEAD tags, and the other needed scripting is put into the form in the necessary places.


 Form Assistant
This dialog basically gives you the shell of a form, if you do not create 'Auto-Create Input Form'. It allows you to set the Action the form is to make (URL - Like a ASP-CGI script or Email), and set the transfer method (POST or GET).

Other Choices to be made are Form Name, Target Name, Output In Table, and Auto Create Input Form. Assigning a Form Name comes in handy when you want to automatically create focus on a certain Form Field (another feature in ASP Express). Target name allows you to put in your own, or the standard targets possible.
Now, we get to the powerful parts - If you choose Output in Table, you will get just what it sounds like - a Table Format, with the labels on one side, in a cell, right justified, and the Form Fields in a second column/cell.

Auto Create Input Form, again, does just what it sounds like it does. When you click this check box, the form automatically expands so that you can choose an Access database or SQL Server(7 or 2000) Table from which to base the form contents. Click on 'Browse' to browse for an Access database, or 'SQL Server' to choose the SQL Server table needed. Of course, Enterprise Manager must be installed on your computer for this to work to it's fullest potential.

Then, when the Table pull-down list is populated, choose the table the form will use. You can choose the default form item type (text, checkbox or radio button), and the default width of all the text boxes.
Now - click the Apply button and, voilá - you have an input form based on the database & table of your choice!

'ASP.Net' is the checkbox needed for creating your output in ASP.Net format- click on this box and it will put the correct syntax designations inside the Form Tag. It also will allow you then, to check whether or not you want ASP.Net Validation controls added in your auto-form creation.


 FORM CONTENTS Assistant
This assistant provides the following components and their options:
Label Field
Text Field | Name, Default Value, Length & Maximum Length
Password Field
Hidden Text
Upload a File
Radio Button | Name, Default Value
Check Box
Text Box | Name, Default Value, Number of Rows, Number of Columns
Pop-Up Menu | Name, Multiple Selection
Selection List | Name, Rows in Scroll Bar, Multiple Selection
Submit Form | Name, Button Title
Reset Form
The Label Field allows you to put (to the left of the Form Item) what appears on the form to 'label' the box in which data is to be entered, such as "Last Name"

Option List Item - gives you the following:
<OPTION>
This inserts items in the selection list

Default Option List Item - gives you the following:
<OPTION SELECTED>
This will be the default item selected in the selection list

Form Contents Assistant


 SET FORM FIELD FOCUS
(Alt-I-F-S)
This procedure allows any form field you designate to receive 'focus' upon the loading of the page. This means the cursor will automatically be in the form field you define. First, you must designate a Form Name. If you double-click on the Form Name and then choose this procedure, the form field name will automatically appear in the correct text box when the dialog box appears. If not, you get a message telling you to 'Put Form Name Here'. If the page you have showing is a form page (and it should be), all the form field names will be 'grabbed' automatically and inserted into a pull down list in the dialog box.
Once you make the choice of which of the Form Fields you want your cursor to default in, click the 'Set Focus' button. This will automatically put the correct Javascript syntax in the 'BODY' tag for you.


Form Field Tab Index

 FORM FIELD TAB IINDEX
If you have a form in the open document, ASP Express will automatically 'grab' all the form field names, listing them on one side of the dialog box. You just move them over, putting them in the order you wish them to be accessed through tabbing.


 FRAMES
Some of the best features of this program are the 'Assistants'. These are the dialogues - not wizards - which give you the choices you need to do a particular function within an HTML document. The Frames Assistant is one of these. This feature comes in handy because frames tend to sometimes be tedious and this lessens the burden of the design process. However, there still needs to be good planning ahead of time so that the data you enter into the Frame Assistant will be meaningful.

There are technically two sections to the Frames Assistant. The first one deals with Frames in general. This is where you choose the border color and size and the orientation of your frames on the HTML page. The border color & size are self-explanatory. The orientation means that you are choosing whether your main frames focus is in rows or columns.

The second section deals with the aspects or properties of the frames themselves. As you will notice, at the bottom, there are 4 numbered buttons. Each of the features you are going to choice in this section need to be made for each frame you design. Once you make your choices, you click on the corresponding frame number to 'save' your choices for that frame into memory. Keep in mind that if you make new choices and click the same number, you overwrite your first batch of choices.

Also, it's best to design your frames in order, 1 through 4 because it's usually easier to keep track, mentally, of what you are actually designing. The URL box allows you to either type in your html page for the frame, or browse your hard disk for it. The Subdirectory box is only necessary if the file you choose is not in the root directory where the main frames page is. It is totally optional. As any frame designer knows, you need a name for each frame to act as a target for links. The Name box is where you assign your fram a name. Next, you assign the percentage of the screen the current frame is to take. All that's left now is the Scroll and Frame Border boxes. In the Scroll box, you have three choices, Auto, Yes and No. In the Frame Border box, you only have two choice, Yes or No.

Once you have completed your choices for your first frame, click the '1' button to save your choices into memory. This will clear the text entry boxes and allow you to make new choice for your next frame. Repeat the above for each of the frames you are designing. Once you have selected all your frames choices, click. The 'Apply' button. This action will put all your information on your page. It will even put in a section (which you need to change) which, for people using a non-frames-enabled browser, will either tell them what you want, or give them an HTML page to view.

In the Insert Pull-Down Menu, you have many other Frames capabilities. They are as follows:
FrameSet With Rows - This allows you to add another frameset with rows
FrameSet With Columns - This allows you to add another frameset with columns (duh!)

New FrameSource - gives you the following:
<FRAME SRC="EnterURLHere" Name="name" Scrolling="yes">
Your job will be to replace "EnterURLHere" with the actual URL you will be using, the name you are assigning that FrameSource, and whether or not you want it to scroll.

Name - allows you to enter a name for your FrameSource
Target - allows you to enter "Target=" along with the name of the target
Attributes
Margin Width & Margin Height - these items do pretty much what they say they do. The Margin Width sets the left margin, horizontally (in pixels) and the Margin Height sets the top margin, in pixels, vertically.

No Resize - This gives you the no resize command for the particular frame it's in.
NoFrames Tag- This gives you the following:
<NOFRAMES>
<BODY>
This is where you put the message for those people who don 't have frames
</BODY> </NOFRAMES>


HTML Lists

 LISTS
The following are the common list tags which are supported by ASP Express:
Ordered
Unordered
Menu
Definition
Directory
Each of the above list types are creatable with or without selected text. The 'List Item' tag can be used within the Ordered, Unordered and Menu Lists. For the Definition List, things are a little different. There are no close tags for Definition Title and Definition Item, so you can't have any text highlighted when inserting them. Just put your cursor just to the left of the text you want defined as a Title or Item and insert them.

Once again, ASP Express includes a very powerful here - a List Assistant
You can easily create ordered or unordered lists very quickly - with different enumerators for each type.


International Characters

 INTERNATIONAL CHARACTERS (F7)
To get a window/dialog where you can correctly insert International Characters in your HTML, press F7. You will then see a dialog box with the international characters, each one on its own button. Just click the one you need and it will be inserted into your open document at the point where you left your cursor.

In the Web Page/Convert menu - you also have the following options:
If you have an International keyboard, when the page is finished, you can choose to highlight a section, or if no section is highlighted, selecting Shift-F11 (Web Page/Convert/International Characters to HTML Tags), you can convert all your international characters to the correct HTML syntax automatically.
With Shift-F12, you can reverse this procedure.


 META TAGS
Here you will find the most commonly inserted META tags, insertable within the open & close HEAD tags. They are:
Keywords
<META NAME="KEYWORDS" CONTENT="Keywords go here">
Here, 'Keywords go here' will be highlighted, ready for your input. It all will be put directly following your 'HEAD' tag. If you don't have one, you will be prompted that you need one in order for this feature to work.
Description
You will get the following:
<META NAME="DESCRIPTION" CONTENT="Enter_descriptive_text_here">
Here, 'Enter_descriptive_text_here' will be highlighted, ready for your input. It all will be put directly following your 'HEAD' tag. If you don't have one, you will be prompted that you need one in order for this feature to work.
Author
You will get the following:
<META NAME="AUTHOR" CONTENT="Author Goes Here">
Here, 'Author Goes Here' will be highlighted, ready for your input. It all will be put directly following your 'HEAD' tag. If you don't have one, you will be prompted that you need one in order for this feature to work.
Refresh
You will get the following:
<META HTTP-Equiv="Refresh" CONTENT="Time in Seconds Goes Here" URL="URL goes Here">
Here, 'Time in Seconds Goes Here' will be highlighted, ready for your input. You will also need to change the text that says, 'URL goes Here' to tell it which URL to change to. It all will be put directly following your 'HEAD' tag. If you don't have one, you will be prompted that you need one in order for this feature to work

Then, there's the grand-daddy of them all - the Meta Tag Assistant. This is an assistant that gets all of your meta tag needs done in one huge swing. It even inserts the title of the page. In fact, it replaces everything between the HEAD tags, so be really careful when you do this. The earlier you use it in your page development, the better, so that no items get accidentally lost in the HEAD section.


 META TAGS Assistant
It's pretty much self explanatory....this will replace anything you have between the Open & Close Head Tags. It recognizes and retains the Title Tags and Style Tags, but BE AWARE - any other scripts must be temporarily moved so you won't lose them.
This is a great tool to get all your Meta Tags done at one time....

The following image will show you the different Meta Tags Supported

Meta Tags Assistant


 SPECIAL CHARACTERS
There is an International Characters dialog (F7) which comes up, when you choose the option. Click on any of the characters and they will be inserted at your current cursor position in the open document.

Other Special Characters in the menu are:
Non-Breaking Space (Shift-F1) | Ampersand | Trademark (TM )
Registered Trademark(® ) | Copyright (© ) | Right (>) and Left (<)Bracket


StyleSheets

 STYLESHEETS (.css)
There are three choices under Insert/Stylesheets menu. (also available in the TAGS Tab of the Express Toolbox)
One is the Link to StyleSheet, which will put a style sheet reference within the Open & Close Head Tags. Another option is the embedded stylesheet which basically only inserts the following:
<STYLE TYPE="text/css">
<!--
-->
</STYLE> This will allow you to type in and create your own stylesheet manually. This is not meant to be a full-blown Style Sheet Editor program, but it does have quite a few features.OR:
Note: Your system fonts are loaded when this dialog box comes up. Therefore, the more fonts you have in your system, the longer it will take to load.

You can choose 'Create StyleSheet' from the Insert/StyleSheets pull-down menu.
This will bring up a dialog with a few basic HTML Tags built in and allows you to add tags you need to define in your stylesheet. For instance, if you wanted to have a certain font, or font color in your Table Cells, you could click the 'Add Tag' button to add 'TD' to the pull-down list. Likewise, you can also remove tags from the list with the 'Remove' button.

To add a 'style' to a tag, click the check box to the left of the option you want to add. This will enable the pull-down list to the right. Then, you can choose from the pull-down list. On each tab (FONT, ALIGN, COLOR), you make your choices and then click the Apply Button. You will see your changes appear in the text box on the right side of the StyleSheet Dialog box. If you want to change an option you have already applied to this text box, you must delete it manually, then go back to your StyleSheet choices to add it back in again.

Once you have finished creating the stylesheet, you can choose to embed it in the existing active HTML/ASP document, or save it as a separate stylesheet. If you choose to save it as a separate stylesheet, it will also, automatically add a link to the saved stylesheet in the existing active HTML/ASP document.


Table (HTML/ASP.Net)

 TABLE
From the Insert Pull Down Menu and also from the HTML Toolbar, there are selections for :
Table Tag, Table Row & Table Cell<BR> These allow you to select text & put the open and close tags for Table, Row & Cell around the Text. This allows you to manually build a Table around text you already have. Since the text remains highlighted, you should start from the top of the Table Hierarchy and go down. That is to say, highlight the text and choose 'Table Tag' first. This puts the open & close tags around your text, but leaves it highlighted. Then, choose the Table Row selection, which also leaves the text highlighted so you can then choose the Table Cell selection. When you do, you will get some of the most common Table Attributes to choose for that Cell, including, Spacing, Padding, Width, Height, Color, etc.

The Table Assistant does things a little differently. Here you can create the Table with the amount of rows and cells you want and then insert the text or image inside the cells individually. One of the great features of the ASP Express's implementation of Tables is that with 'indenting', in a hierarchical fashion, it is made much more easily readable.
The Table Row tag is indented to the first tab stop inside the margin. Then, the Table Cell tag is indented to the second tab stop inside the Table Row tags.

Also, there is a Background Color item which can be selected. This can be put within the Table Open Tag, the Table Row Open tag, or the Table Cell Open Tag. But remember there's no way to automate this one. Wherever you cursor is, that's where it will be inserted. The best choice is to put your cursor just inside the closing bracket of the tag. This way, a space is inserted just before the BGColor command is inserted and it is put in a reasonable place.

There is also a list of common Table Cell attributes that are insertable. Again, there is no really good way of automating this either except to make it necessary to put your cursor just to the right of the 'TD' inside the Table Cell open tag. If you don't, you will be prompted to do so. The cell attributes are :
Cell Alignment (vertical & horizontal)
Cell Width & Height
Cell Spacing & Padding
ColSpan & RowSpan
NoWrap

Also - from Insert/Table/Create Table from Text:
If you type in or copy in tabbed text, you can automatically create a basic table by highlighting the text and choosing this item from the pull down menu. Every tab on a line will convert to a cell and every time Enter is pressed, it will convert to a Row.
Be sure to press Enter one last time on the last row and continue the highlighting all the way down to that line and Presto! -- you have a table!

One other note - make sure you have the same number of cells in each row - you might get mixed results if not!

And, of course, the ASP.Net check box does just what you would expect here. It creates all the output in .NET format instead of pure HTML.


Data Section

 ASP.Net Data
Start by leaving your cursor exactly where you want all your databinding code to appear. Under the ASP.Net menu, choose Data, and the DataSet. From there, you will see two choices -

SQL Client Connection/Adapter
OleDb Client Connection/Adapter

Naturally, if you are connecting to an MS Access Database, choose OleDb, but if you are using SQL Server, choose SQL. Whichever you choose, the SQL Statement Builder will appear. From there, you can choose the database, tables and SQL statement, very much like what happened with ASP Express when building a Classic ASP document. The main difference is that you will be prompted to enter the ASP.Net control where you want the data to be bound.

Your databinding code, including SQL Statement, along with your Import Namespace statements for the corresponding Data platform will be entered into the Open Document.

Here's a short scenario of steps in order to easily create a datagrid on your page, and the code necessary to bind a table to it so that it will load when the page loads. This demonstration uses VB. (naturally, it would be a little different if you are using the Code-behind method)

  1. Choose the DataGrid Assistant and insert a DataGrid into the Body of your open document
  2. Put your cursor somewhere between the HEAD Tags in your document.
  3. In the Express Toolbox Tags Tab - ASP.Net/Insert/Script, double click on the VB Header entry.
  4. Then in the Insert/Sub node, double click on the Page_Load (VB)
  5. Next, Click on the appropriate Data Connector/DataSet for your database (OleDb or SQL Server)
  6. Using the SQL Statement builder, navigate to your database table and create your SQL statement
  7. Once you are finished with your SQL Statement, click on the 'Finalize SQL' button.
  8. That's it! -- You're finished!


ASP.Net DataGrid

 DATA GRID Assistant
Here's where ASP Express really shines, taking a complex object like the ASP.Net DataGrid and creating an interface where it's much easier to manage.

There are several Tabs available here, but it's really broken down into two parts. The Main tab just gives you some basic choices - the ID, CellPadding and CellSpacing, type of Gridlines, choose whether or not to include alternating item attributes and whether or not you want to add sorting to it's capabilities.

The second part is where you assign the Body, Header and Alternating Item attributes, like BackColor, Forecolor, BorderColor, Font, Bold, Italics, and Font-size.

If you check the box for Sorting, the appropriate code sections will be inserted in between the HEAD tags. The actual DataGrid will be inserted wherever your cursor position was when you clicked on the DataGrid Assistant. Then, once that part is done, here's the code it will insert between the HEAD tags:

<script language="VB" runat="server">
Sub Page_Load(Source As Object, E As EventArgs)
    If Not Page.IsPostBack Then
BindData()
End If
End Sub

Sub BindData()
 ' put your databinding Code here
End Sub

</script>

<script language="VB" runat="server">
Sub SortCommand_OnClick(Source As Object, E As DataGridSortCommandEventArgs)
        REM - Change 'SQL string in the following line to your SQL string name:
        MySQL = MySQL & " ORDER BY " & E.SortExpression
        BindData()
    End Sub
</script>

The section in the BindData Sub, where it says 'put your databinding code here' will be highlighted so you can create the code at that point.


 DATALIST Assistant
Built much like the DataGrid Assistant, the DataList Assistant allows you to define many properties of the DataList all in one interface, then apply them all at one time.

Properties assignable are Column numbers and direction, Cellspacing & Cellpadding, ID, Gridlines, along with Backcolor, Forecolor, Bordercolor, Font, Bold, Italics and Font-Size for Header, Body & Alternating Item.


 IMPORT Namespace
Place your cursor in your open document, where you want your Namespace Import statements to appear. Bring up the dialog box (from the ASP.Net/Assistants menu, or from the ASP.Net node - Tags form/Express Toolbox).

In the left box, either double-click on the items you want inserted into the open document, or select an item and click on the (>>) button , to insert it over on the right side. All the items in the right side of the dialog box, when you click the 'Apply' button, will be inserted into the open document.

At any time, before clicking the 'Apply' button, you can select an item on the right side, click on the (<<) button to remove it.


 PAGE DIRECTIVES
This is a powerful, but very simple Assistant to use. Enter all your Page Directives at one time - choose the ones you want and ignore the rest. Once you click on the 'Apply' button, the entire section of code is written at the very top of your document.

If you need to change it at any time, naturally, you can change the existing code, but if you decide to change multiple items, it might be eaiser just to run the Assistant again. It will wipe out the existing code and replace it with your new choices.


 SELECT CASE Assistant
In the ASP Structures Toolbar, pressing the Select button brings up a Select Case Assistant. If you want just a generic structure itself, just enter a test case and click the 'Just Enter Framework' checkbox, and click the 'Enter' button.

However, you can build your entire Select Case Statement in this way:
(leave the 'Just Enter Framework' checkbox unchecked)
Enter the item/variable for your case to test and click the 'Enter' button.
Then, for each case you'd like to enter, merely enter that case in the 'Choice' text box. Next, enter the the code for the output of that particular choice in the box below it.
Once you're happy with that code, press the '>>' button between the two code boxes to 'push' the code from the left box, into the box on the right.
Once you're finished with each item in your Select Case Statement, click the 'Apply' button to insert the finished Select Case Statement into your open document.

Select Case Assistant


Text Box Assistant

 TEXTBOX Assistant
This control Assistant is very simple to use - just add an ID, choose whether or not you want a Single Line, Multi Line, or Password version - then click the 'Apply' button and voilá - it's inserted into the open document.


 USER CONTROL Registration
Enter the Tag Prefix you desire, along with the Tag Name. Then, if the dialog box is not defaulted to your Web Root, then enter the Web Root or Browse to it.

Browse to the User Control (.ascx file) and click on the 'Apply' button. That's all there is to it, but it saves quite a bit of typing.

User Control Registration


ASP.Net Validator Assistant

 VALIDATOR Assistant
With a form in the open document, put your cursor where you want the Error Message to appear. Then, running the ASP.Net Validator Assistant will 'GRAB' all the field names from the form and puts them in a pull-down menu on the VALIDATOR Assistant dialog box.

All you must do then, is to assign an ID to the control, choose whether or not you need a Regular Expression Validator or a Required Field Validator, choose the Form Field you want to validate, and create your Error Message that you want displayed. Once you click the 'Apply' button, the code is inserted where your left your cursor.


 ADO CONNECTION Assistant
Now - here's the really powerful part - the ADO Connection Assistant (F2)
When this dialog box comes up, you enter your Variables for your connection, Recordset, DSN (or DSN-less connection), and SQL Statement. You can build your own SQL statement manually here, if you want. If you click DSN-less connection, you and you are using an Access database, you can choose and use a local copy of the database in this feature. If you choose it here, the database will automatically carry over to the SQL statement builder Assistant - click on 'Select' so you can get help building your Select and Insert SQL statements.

Click on the DSN-Less check box to bring up the 'Connect To Database' Dialog. Here, you'll choose between MS Access or SQL Server to directly gather the pertinent information in order to connect to your particular database.

Click on the 'Add Delete/Edit' checkbox in order to create separate files for Search results, Editing and Deleting data based on your SQL Query.

The output section allows you to choose how you want to view your actual output. Your three choices are:
HTML Table, Select List (form), and None

Clicking on the 'Enter Request Strings' button will bring up the Request Object Assistant. This will allow you to assign all the 'request.form' variables you need for your form.

ADO Connection Assistant


CDO Assistant

 CDO Assistant (F4)
Creates the code necessary for sending email using ASP. However - CDO or CDONTS must be installed on the server in able to make this work.

The default variable name shows up when the Assistant is launched, however, you can change it if you'd like.

Choose the Mail Format and the Body Format if needed - to send HTML tags in your email, choose a Mail Format of CdoMailFormatMime and a Body Format of CdoBodyFormatHTML

The TO, FROM, SUBJECT and BODY text boxes are fairly self-explanatory. However, you can build your body using a variable and then, click in the checkbox below the BODY designation if that is the case. In that case, there will be no double quotes around what is inserted in the BODY box.

To attach a file to the email - click on the BROWSE button. One work of caution here too - the file must be in the same directory path on the actual server.

Make a choice as to whether or not to enclose the entire section in ASP tags and click on APPLY. That's all there is to it.


Include File Assistant

 INCLUDE FILE Assistant (Ctl-Alt-I)
It's just what it sounds like - You can use this in the Include File or Include Virtual formats.
If you are using the Include File format, first, click on the File Radio button. Then, browse for and choose the file you want. When it's found, just click 'Apply'.
For the Include Virtual format, just leave the Virtual Radio Button selected. You will notice 'ADOVBS.inc' is the default, so all you would have to do is click on 'Apply' to insert this statement in your file. Otherwise, browse for & choose the file desired. Since this is a Virtual file, you will then need to remove the portion of left side the file path, including the '\', that denotes the actual root for your Web Server. Then, simply click 'Apply' to insert the include file in your page.


 OBJECTS Assistant
Here's another one of those great surprising, little-known, but powerful features built into ASP Express. The default variables are drawn directly from the Preferences you have set. You can insert code to either OPEN or CLOSE any of the following objects:

Connection | CDO | Recordset
FileSystemObject | BrowserType | AdRotator


 REPLACE Assistant
This assistant makes creating REPLACE statments a breeze! Enter the text or variable which has text to be replaced, enter the code that needs to be replaced and then enter the changed text - voilá - that's all there is to it!


Request Assistant

 REQUEST Asistant
Here, you get a dialog box to choose 'Form' or 'Querystring', depending on what action you chose in your Form. To insert your new variables, you have two options - Automatic and Manual.
If you have gone through the Form Creation process and have 'Grabbed' all the form field names, and they're all generic, you might want to just choose Automatic Variable Creation. This will automatically create variables for all the FormFields it has grabbed (with 'str' in front of the form field name as the name of the variables)
You also have the choice of Manual Variable Creation. This way, you can :
  1. Give your variables your own special names, and
  2. Choose to add a 'Replace' section of coding after each one. The default code replaces a single quote with two single quotes.
Here you also have the choice of Server Variables (from a pull down list). Here, too, you can click on 'Apply' as many times as needed and then, click 'Exit' to close the box. If you want a structure like:
<% strAgent=Request.ServerVariables("HTTP_USER_AGENT")%>
then, there is a text box where you can enter the variable name.


 RESPONSE Assistant
Here you have a dialog with all the Response possibilities, along with the choice for opening & closing ASP tags, including the Recordset Name, Database FieldName, Line Break at end of Bracketed phrase.
If you click on the 'Include Recordset Name' Check Box, you can then enter a Recordset Name, and a FieldName. If you clicked the Open/Close ASP Tags, you would get an output similar to this:
<%=MyRS("FieldName")%>
This could come in handy when coding your output. For instance, You could type in the following Database fields for:
FirstName:
LastName:
Address:
Then - you could copy each one at a time and, after opening the Response dialog, Enter a Recordset name, and paste it in to the FieldName box, and click on 'Apply'. Once you enter the Recordset Name in the Recordset Name Box, it will continue to carry over until you quit the program. So, if you have multiple FieldNames, you only have to change that particular box each time you open the Response Dialog.


 SQL STATEMENT BUILDER
With the SQL Statement Builder - surprise - you can easily build your own SQL Statements - Select, Input and Delete. It also includes Inner Joins. One of the newer features is that it's a stand-alone builder also.....pressing the 'Select' button on the bottom right side of the task bar - brings up the the SQL Builder Assistant - outputs in either String=Statement format or the basic statement by itself.

The power comes in that it will connect directly to the database of your choice - either MS Access or SQL Server (7/2000). To get help with the SQL Select statement, click on the Select button. You are presented with a window that includes three steps. If you want the easiest way through it all, choose each of the three in order. To work with Number 1, you must have a local copy of the Access database on your computer or attached network. If you have not chosen DSN-less connection, here, you Choose the database. This will automatically fill the field and table pull down boxes. Of course, if you have already chosen DSN-less connection and selected the database in that dialog, these fields will automatically be filled when the dialog loads.

If you are using an Inner Join statement, you might want to consider selecting the 'Table.Field Format' check box. If you do this, each field you choose will be in that format. This is very useful if you have tables with fields named alike.

There is also a Database Structure button. If you click here, it will pop out a 'Tree-view' of the database you have selected, with the Tables and the Fields. You can use it for merely viewing the DB structure, or double-click on the field names to populate your SQL statement.

When this pops, out, there is another button - 'TEST'. Here, you can test your SQL statements - no variables, though. Either Create your SQL Select statements with the SQL Builder Assistant, or type in your own - however, the database and tables must be chosen through the dialog box.

If you merely want to Select all, choose the table in the Table Pull-down list, click the 'Select All' check box, and click the 'From' Button.

If you want to build your statement with certain fields, then choose the Table from the Table Pull-down list. This will populate the Field Pull-down list. From this list, click on the Field you want and then click the 'Add Field' button. Repeat this action for all the fields you need. You can also double click on the individual Field Names in the Database Structure Tree to select each field. If you are going to use an Inner Join, you can change the Table Selection during this process also.
Once you are finished adding fields, make sure the Table pull-down list has the correct Table selected and click the 'From' Button.

This will give you two choices - one is to just go on. The other is to continue and make an Inner Join Statement. Once the Inner Join Button is enabled, click it. This will add the Inner Join text to the window and it also enables the 'Add Table' button. Now, select a secondary Table name from the Table Pull-down list for the Inner Join. You should know this by the Table that was already selected when you clicked the 'From' button.

Now, click the 'Add Table' button. This adds the secondary table in the statement and the word 'ON' which now enables the 'Field 1' button. Choose the first field in the statement where you want the link between tables to take place. Once this is clicked, it gives you the first field with an '=' sign after it, along with the 'Field 2' button becoming enabled. Select your secondary table and the field which matches the first field and click the 'Field 2' button.

At this point, you are finished with this section. Click the 'Enter' button.
This will enable the Third Section, where you can further narrow your search with WHERE and ORDER BY clauses.
Then, choose the items you want in the second section and press the enter key. This will make all the items in the third section available for use. Beside the word 'WHERE', there is a pull down menu with all the field names. Pick the field name for your Where clause. Then pick the operator ( =, =>, >, <=, <, <>. or LIKE). Then, if you have Request.Form or Request.Querystring variables already set on the page, you can choose the variable from the Variable pull-down menu. You will probably notice that the 'Order By' pull down box is empty...it's not, but there's not an automatic choice to make. This way, if you don't need the Order By part, you won't get it in your SQL statement. Once your 'parts' of the Select statement are assembled, click 'Apply'

If you know and understand SQL Select Statements, you will find this a breeze. If not, you may need to brush up on SQL to make this part worthwhile. Naturally, this may not be the exact form that you need for your SQL statement, but it does what it is meant to do - it gives you a great start and cuts down greatly on your typing.


ASP Convert

 Convert
There are two sub-menus under the ASP/Convert Menu.

SQL Text to Numeric
this basically strips the single quotes out of the selected portion of an SQL statement.Let's say that you've built an SQL statement using a where clause which has a string variable in it, and you realize it was a numeric, rather than a string variable. Either highlight that portion, or the entire SQL statement and run that command - it strips the single quotes and voilá - you have a corrected SQL statement.

Response.Write Replace Double Quotes
This is another really powerful part of ASP Express. This is for converting a portion of HTML into a 'response.write' format. Naturally, if you have HTML tags, you most likely have double quotes around the attributes. Look at this bit of HTML:
<font Size="4" Color="#FF33CC">This is text</font>
by highlighting from the start of the first font tag to the end of the last font tag, you will convert it to:
Response.write "<font Size=""4"" Color=""#FF33CC"">This is text</font>"
The best part of this, is that it will work on large sections/multiple lines of HTML.


ASP Hit Counter

 Create ASP HIT COUNTER
For this, I would recommend creating a separate directory for all your hit counters. Then, as you create a hit counter for a particular page, save it there.

You can create hit counters for your pages in two different flavors - Session-Sensitive, or not.
If you create them Session-Sensitive - when an end-user reloads that particular page, over and over, it will not advance the count for the page, since it advanced it the first time it loaded.

When the dialog box first comes up, it will already have the title of the page in it's 'Create Counter File' text box.
First - click on the 'Create File' Button. You will be prompted to save. Then, when it has been saved, you will see the full path in the 'File and Path Name' text box. Highlight and remove the left-most portion - the portion which is the Web Root. (Include the "\").
Then - click on the 'Apply' button.

Hit Counter Dialog Box


 GET FORM FIELD NAMES
Get Form Field Names does pretty much what it says. If you have an existing form and you are going to be building an ASP document which uses the information entered in the form, then you will want to use this pull down menu item. It looks at the form on your document and grabs all the Form Field Names, putting them in the pull down box in the Request Screen when you need it.
When you create a form from scratch, using the Form Assistant, this is done automatically.


HTML/URL Encoding

 HTML/URL Encode
HTML Encode inserts the following into the open document:
<% Server.HTMLEncode ("") %>
If you already have text highlighted, your highlighted text will appear between the double-quotes.

URL Encode inserts the following into the open document:
<% Server.URLEncode ("") %>
If you already have text highlighted, your highlighted text will appear between the double-quotes.


Open/Close ASP Scripts

 OPEN/CLOSE Scripts
Ctrl-F1 will insert an OPEN ASP Script tag
Ctrl-F2 will insert a CLOSE ASP Script Tag
Ctrl-F3 will insert both. If text is highlighted, it will surround the existing text with both OPEN and CLOSE tags, leaving the initial text still highlighted.


 SCRIPT RUNAT
Inserts the following 'Script Runat=Server' designation in the open document:
<SCRIPT RUNAT=SERVER LANGUAGE=VBSCRIPT>


Untitled

 CLEAN UP HTML
Most HTML coders know the exasperation of viewing an HTML source file once it has gone through a UNIX box or Macintosh, or whatever. When you pull up the page, there are no line breaks and a whole lot of garbage-type characters on the screen. This makes for a horrible time trying to figure out the source. Well, be exasperated no longer! This command will do just what it says - it will clean up that awful page full of text & put it into a more HTML-friendly format.


 COLOR TAGS
This is a neat little utility which allows you to isolate, or separate the HTML tags in your document so that you can see what your document is designed like more easily. Each separate HTML tag is either colored or bold-faced to separate from the regular text. Keep in mind that this colorization is not save-able. Once you close the file, the coloring is technicall lost. However, when you re-open the file, you can re-color the file if desired, for you convenience. This utility is available in the ASP Express menu bar as well as the formatting pull-down menu.


Untitled

 CONVERT (HTML)
Convert Text to HTML
**Note: YOU MUST HAVE A TEXT FILE (NOT AN ASP OR HTML FORMATTED FILE) OPEN FOR THIS TO WORK CORRECTLY!
This is a very simple conversion process. It adds the HTML tags for Line Breaks and Paragraphs to your text file..basically, the way the line breaks and paragraphs are formatted in your text file are the way the html formatting will be done. If there's a plain line break, a <BR> will replace it. If there is a blank line between lines, a <P> will replace it. This is not meant to be a full-featured converter, just a quick way to get rid of some of those nasty formatting chores in an easy manner!

Convert International Chars to HTML Tags
This will allow for anyone doing HTML or ASP documents using an International keyboard to switch all characters into an HTML Format and also the other way around. If you have text highlighted, it will convert only that particular text. If not, it will convert the entire document. (There is also a reverse process for this command)

Convert Open/Close Tags(Alt-I-P-V)
Sometimes, you need to show an open and/or closing HTML bracket (< or >) on your web page, just as it is (like in a tutorial). To do this in HTML so that the web browser doesn't recognize this as a real open or close bracket, you need to use the correct HTML syntax. To do this in ASP Express, just highlight the text you need to conver and run this command - voila - you have the correct syntax on your web page.


Go To Line Number

 GO TO LINE # (Ctrl-G)
Usually, when you encounter an ASP error - you will at least get the line number returned to you in the message. Just press Ctrl-G and type in that number.

Click the Go button and you will be sent directly to the line in question.

Go To Line Number


 PUBLISH
You might think of this dialog box as sort of a mini-ftp program. Not only can you send (FTP - upload) the saved version of the file you currently have open, but you can also upload any other saved file to the web server of your choice. If you have assigned one or more FTP Profiles in the Express Toolbox, these defaults will automatically show up in the FTP Profile pull-down box.
Choose the FTP Profile you want to use and click the 'Connect' button. This option will automatically log you into the selected web server, using the UID & PWD assigned to that FTP Profile. You can either double click on a specific directory to change to that directory, or click the Send button to send the file you have open. If you need to send another file, other than the one that is currently 'Active', just click on the Browse button to find the one you want to send.
The Parent button works just like the one on the Remote Tab of the Express Toolbox. Once you have changed directories, it will change back to its Parent directory.
Delete - Once you have a directory list, if you click on a file in the list, you can press the Delete key to delete it from the Web Server.
Send - When you click on the Send File button, it will go to the exact path which is showing in the File List Box.


Untitled

 SELECT COLORS
Standard Colors
Select an item you want to change from the Chooser Radio Button Section (Background, Text, Link, Visited, Active). Then, use the sliders to adjust your color selection. Once all your colors are selected, click the 'Apply' button. This will add all your color selections to the BODY tag.

Standard Color Selector

Web Safe Colors
Everything is the same here, except the Chooser is at the bottom of the dialog box and the colors are only the Web Safe Pallette.

Web Safe Colors


Untitled

 PREVIEW/VIEW AS WEB Page (F5)
One of the other great features of ASP Express - If you have MS Internet Explorer 4.0 or above installed on your machine, then ASP Express will use its 'engine' to create an internal Viewer for your HTML page. If you do not have it installed, ASP Express will inform you of this and, once you click the OK button, it will load your System's Default Browser in order to view your page.

This command (in the Window Menu)performs the same action as clicking the Preview Tab at the bottom of the document. For ASP and ASP.Net files - the first view is usually cached. Therefore, on subsequent views of the same page, even if you've changed the code in the document, you may need to refresh the screen in order to see your latest changes. This can be done in two different ways. The first way, is just as you normally can do in ID, right-click on the document and choose 'Refresh'. The second way is clicking the 'Refresh ' button on the Status bar (at the bottom of the ASP Express IDE.


 EXPRESS TOOLBOX
Basically, the Express Toolbox (toggles open/closed with F12), is broken down into 4 tabs - Tags, Local Files, Links and Remote.

The Tags Tab lists many HTML, ASP, ASP.Net, Javascript, PHP tags, entered into your open document by double-clicking. Along with this, there is a special StyleSheet section and a User Defined Tags section

The Local Files Tab allows you to browse anywhere on your local system to load files directly into ASP Express.

The Links Tab lists all the external links you have in your open document at one time and allows you the ability to browse to the selected link to check its validity, as well as edit the link in place on your document.

The Remote Tab allows you to add multiple FTP profiles to ASP Express. Connect to any one at a time, and you can open and save files directly to that FTP site.

Customization of Tab settings (the location of the tabs) for the Express Toolbox is possible also. The default Tab Setting is Right Tabs, however, the other possible settings are:
Left Tabs
Bottom Tabs
Top Tabs
Sliding Tabs
This can all be customized in the Startup 1 tab of the Preferences Dialog (Alt-F-R)


Local Files Tab

 LOCAL FILES
This tab of the Express Toolbox allows you to choose the Drive, Directory & File Visually. It will also default to the directory you designate as your default directory in the Preferences Dialog.


Express Toolbox Links Tab

 LINKS TAB
The Links Tab functionality is also duplicated in the Help Pull Down menu & click on 'List External Links'. This will list all your web links that have 'http' as a prefix. On any one of these links, you may either right click or double click in the Links Tab to bring up a popup menu allowing:
Browse Brings that link up in the Browser Window
Edit
Finds that link in your open document, and highlights it, allowing changes to be made. If a new link is desirable, simply choose paste to replace the existing link while it's highlighted. Naturally, when the link is found any other editing choices are available also.
Refresh
Once you have made changes to your open web document, you can choose to refresh the links to reflect any changes you have made.
Clear
This choice will remove all links from the link Tab window. Close Toolbox
This will close the Express Toolbox. Ctrl-F12 will open it again.

Also - as an extra function of the Links Tab - any subs or functions you have defined on your page, will show up in the Functions and Subs pull-down menus. By selecting any of the listed items, and clicking on the corresponding 'GO' button, you will go directly to that Sub or Function.


Remote Files Tab - Express Toolbox

 REMOTE TAB
When you first install ASP Express and click on the REMOTE TAB, all the boxes are blank. That's because you haven't created any FTP Profiles. An FTP Profile is a compilation of all the information necessary to connect to an FTP source.

Using any of these sources/profiles you create, you can connect and load files directly into ASP Express, as well as performing Remote Saves also, once you've finished editing the loaded file.

This is a very powerful section of ASP Express, and as of version 2.0, it's totally re-written with multiple FTP profiles available. With the Remote Tab, you can load files directly from your web server via FTP and save them back. Keep in mind this is designed only for access to and saving Remote files. All the ftp information for all your entries are included in a new file that you'll most likely want to backup every once in a while, especially when you need to re-install for any reason. The file name is 'ASPExpress_Y0077.tt02.aop'. Also - rest assured - all your passwords in this file are encrypted for your protection.

Working with FTP sites/profiles:
To add a new FTP profile, right click in the upper section of the Remote Tab area, and choose 'Add FTP Site '. The choices you have at this point are :
Description - this is what you name the ftp connection - only for your own purposes - no url is needed here.
URL - here's where you put in the url to connect with.
Directory - if there is a different directory than the root directory where all the files are - sometimes called a Host Directory.
Login - your user ID for each ftp site
Password - your password for each ftp site
Connect Type - Active or Passive.....just leave it on the default if it works.
Port - the default port number is the normal port number for ftp. Only change it if given explicit instructions from the ftp host administrator

You probably noticed, when you did the right click, that you had other options - Edit, Delete & Connect (Disconnect, if you are already connected to a site). If you need to change your ftp connection information for any particular site, click on the site name, then right click to Edit the information. Then, if you no longer wish to list a particular site - click on it, right click and choose Delete.

To Connect to any one of the FTP sites you entered here, either choose it, then right click and then choose Connect, or the simplest way is just to double click on the ftp site.

the buttons at the top of the Remote Tab are:
Save (the disk Icon) - it saves the open file directly back to the open directory in the open FTP site
Delete - deletes the selected file on the FTP site - be very careful.
Reset - clears current connection
Resize - in case filenames are fairly big on the remote site - clicking here makes the Express Toolbox much wider - then, click again to put it back to the former size.


Express Toolbox TAGS Tab

 TAGS
There are three basic ideas presented in the TAGS tab of the Express Toolbox
First of all, naturally, basic tags - organized into different sections, like HTML, ASP, ASP.Net, Javascript and PHP. To insert any one of these tags into your open document, just double-click on it. Along with these tags, in each section, there is an Assistants section, which lists the different Assistants available for that mark-up section. When you double-click on one of these Assistants, it will pop up and give you multiple choices regarding the special needs for each one.

The second idea or part of the TAGS tab is StyleSheets . Here, you can insert the tags for embedding a stylesheet in your open document, browse to the stylesheet file you want to link to, or Edit/Create an existing stylesheet within your open document. This will bring up the StyleSheet Editor.

The third idea or part of the TAGS tab is the User Defined area. You can define your own User Defined Tags in two different places. You can go to Preferences and click the Startup-2 Tab. Then click the Edit button in the User Definable Combination Tags section or go to the UserDefined Node in the Express Toolbox (Tags Tab) - Create/Edit. You can define up to 7 tag combinations. First, click on the Edit check box to enable the text boxes for that section. You must define at least a Name and a Left Tag for this to work correctly. If you create a left and right combination, when you select text and double click on your combination, your selected text will remain selected, just like the normal ASP Express way of doing things. To delete an item - Click the Edit check box, then tab to the first item - the Name box - press delete to clear the entry. Once you've finished clearing the entry, press 'Apply'.

To define your own User Defined Tags, you can either Click on Create/Edit from the TAGS tab, or you can go to Preferences and click the Startup-2 Tab. Then click the Edit button in the User Definable Combination Tags section or go to the UserDefined Node in the Express Toolbox (Tags Tab) - Create/Edit. You can define up to 7 tag combinations. First, click on the Edit check box to enable the text boxes for that section. You must define at least a Name and a Left Tag for this to work correctly. If you create a left and right combination, when you select text and double click on your combination, your selected text will remain selected, just like the normal ASP Express way of doing things. To delete an item - Click the Edit check box, then tab to the first item - the Name box - press delete to clear the entry. Once you've finished clearing the entry, press 'Apply'.


 HTML Tags
Most of the items in the HTML section of the TAGS tab of the Express Toolbox merely insert the tags listed into the open document. However, one section is the HTML ASSISTANTS section, and it's a little different. It lists all the Assistants for HTML all in one place.


 Create Table From Text
If you type in or copy in tabbed text, you can automatically create a basic table by highlighting the text and choosing this item from the pull down menu. Every tab on a line will convert to a cell and every time Enter is pressed, it will convert to a Row.
Be sure to press Enter one last time on the last row and continue the highlighting all the way down to that line and Presto! -- you have a table!

This works equally as well when copying cells from Excel and pasted into ASP Express - each cell is automatically separated from the others by tabs.

One other note - make sure you have the same number of cells in each row - you might get mixed results if not!


Table Assistant (HTML/ASP.Net)

 TABLE Assistant
The Table Assistant does things a little differently. Here you can create the Table with the number of rows and cells you want, all at one time, and then, once that's done, you may insert the text or image inside the cells individually.

One of the great features of the ASP Express's implementation of Tables is that with 'indenting', in a hierarchical fashion, it is made much more easily readable.
The Table Row tag is indented to the first tab stop inside the margin. Then, the Table Cell tag is indented to the second tab stop inside the Table Row tags.

You can adjust all of these features in the table ahead of time:

Rows | Columns
Border | CellPadding
CellSpacing | Horizontal Alignment
Vertical Alignment | ASP.Net designation

You can also select the initial contents - whether or not it's nothing, a non-breaking space, a space, or a tab


 FORMAT CURRENCY/NUMBER Assistant
By clicking FormatCurrency or Format Number, under VBScript/Format in the Tags window, you bring up the Format Currency/Number Assistant. Whichever one you double-clicked (Currency or Number) will be chosen by default when the assistant opens. If you select a number before you double-click, that number automatically is shown in the number box. Also, the default for 'Digits After Decimal' for currency is '2' and the default for number is '0' Choices are:
Response.Write
This puts the shortcut "=" in front of the entire statement
Include Leading Digits - This choice is whether or not to put a digit to the left of the decimal whether you manually included it or not.
Group Digits
This groups the numbers by separating them with commas...(i.e 4,545,346 instead of 4545346)
These next three should be self-explanatory
Surround Function with ASP Tags
Digits after Decimal
Use Parens (Parentheses) for Negative Numbers

Format Currency/Number Assistant


 JAVASCRIPT
Most of the Javascript entries in this node are like the others, so, that by merely double-clicking on the item, that item is inserted into your open document.

However, there are two very handy Assistants also, explained in their own sections.


 WINDOW OPEN Assistant
This is a very handy assistant that will allow you to perform the Javascript 'Open Window' function, and enter all the necessary attributes you desire. Just browse to the page you want the function to open, check or enter the items you want and, presto - click the 'Apply' button.

Window Open Assistant


Navigation Bar Assistant

 NAV BAR Assistant
You've seen those Javascript Rollover buttons for navigational purposes, right? Well, this allows you to create one of your own. It takes a little planning ahead of time, but it's a lot less work to do it this way. And, of course, this does not create the images for you - those must be created and or supplied by you.

There are two ways you can create one of these - as in include or you can embed it into the document itself. If you want to create it as an include, then go to File/New/Code Page(Blank) to create a new, blank page. This Navigation Bar generator supports three states of buttons - normal, mouseover and the down state. The down state is also used as the normal button when the ASP check box is chosen.

The first screen comes up allows you to choose how many buttons are going to be in this Navigational Bar. Then, on the next screen, there are basically two areas of information you must choose and they are in order, top to bottom on the screen. Most are self explanatory, though they are listed here anyway:
Format/Positioning
The 'Set Relative Directory' is there so you can choose the directory you want. All the coding is relative coding - NOT absolute. If you haven't saved the file already, you will need to choose the directory you want. If you have saved the file, but want another directory chosen, naturally, this is where you would do that.
Create in Table - automatically puts table tags around code - you only need to add decoration.
Vertical - Horizontal - this will add HTML Breaks after each image if it's to be displayed vertically, or leave them out if you want to display it on the page horizontally
ASP - if this is chosen, ASP scriipting is used and the down state is used as the sole image, if the name of the page is the name of the destination URL supplied in the boxes below.
Choose Images
Here's where you actually choose the images for each state referred to above - the normal, mouseover and down states. Mouseout is taken care of automatically. Browse to locate the images for each of the states described. Then, enter the HTML Alt attribute, and the Status Bar notation you want.
You do this ONE BUTTON at a time.....you will see buttons on the dialog box with numbers on them. These directly relate to each button you want to add to the Navigational Bar. They MUST be done in order....once you've choosen all the different images and details for the first button, press the '1' button. Then, of course, when you've finished with all the same information for number second button, you press the '2' button.

Once you've completed all buttons in the Nav Bar, then press the 'Apply' button at the bottom.

Navigation Bar Assistant


 EXPRESS MENUS
Express menus are popup menus which occur to help auto-complete your ASP phrases. Express menus occur when you type:
Response.
Request.
(When you choose ServerVariables, you also get a popup list of Server Variables from which to choose.)
Server.
(Also, when you choose CreateObject from the Server Express menu, you get another Express menu with Objects to choose.)
Another Express Menu popup occurs when you double-click on FormatDateTime under VBScript/Format in the Tags window, within the Express Toolbox. If, in your text, you need to use the words Request, Server or Response as the last word, followed by a period, when the Express menu for that word appears, just type another period. This will clear the popup menu as well as add the period. Pressing the Escape key will also clear the menu, if needed.


 FIND/FIND NEXT/REPLACE
Find - Ctrl-F
Find Next - F3
Replace - Ctrl-H
Under the Edit menu, you can choose Find (Ctrl-F) to get a new Find dialog box. The Find Dialog will stay on top and allow you to continue your search, using the Find Next button, if you'd like. Or, you can press the Escape key to unload the Find Dialog - at that point, you can use F3 to continue the Find Next procedure.

If you decide to search for a different word, when you replace the word in the text box, the starting point will automatically return to the top of the file. You will also notice, that as you add words to be found, it is added to a running list, so if you have another document open that you want to search in for the same word, just click on the arrow and choose the word you want and click on Find Next. Naturally, once you quit the program, this list goes away, but the list will stay as long as you have ASP Express running.

You also will notice there is a Replace Tab. Click on it and you will not only see a Find text box, but a replace text box. When you put a word in the Find box, click on Find Next. Then, type your word in the Replace text box & click replace. It will replace the word that it found and find the next one. You can, at any time, click cancel to close the dialog box and conclude your searching. The Replace text box also keeps a running list of words you used.

If you type in a word in the Find box, type a word in the Replace box, and click Replace All, as promised, the procedure will start from the beginning of file and replace every instance of the word you typed in the Find box with the word you typed in your Replace text box. Please use caution as this procedure can not be undone.

The Replace item in the Search Pull down menu goes directly to the Replace positioning of this Find/Replace screen. If the Search & Replace in Multiple Files Check Box (global search and replace) is checked, you will then go to a dialogue box that will allow you to enter a directory where you want the text changed in all the files within that directory and the directories below that level


 POP-UP MENUS
When any amount of text is highlighted and the right mouse button is clicked, a pop-up menu will appear which is the same as the 'Formatting' Pull-Down Menu.
When no text is highlighted and the right mouse button is clicked, a pop-up menu will appear which is the same as the 'Insert' Pull-Down Menu


 Preferences
In the preferences dialog, you can set:
Startup 1 - Your default Root directory (the directory where you always want the program to open), the default Graphics directory, your default email address (for use in mailto links),
Startup 2 - Default FileType (either HTML or ASP), and whether or not your ASP Structures Toolbar is automatically on or not, whether or not you want Word Wrap on or off, Auto-coloring of Tags on or off, Web Safe color palette, Express Menus On or Off, Express Toolbox open at Boot time.
File Types Choose what file types are visible in the Local Files Tab of the Express Toolbox
Default Table - In your HTML Table output (ADO Connection Assistant), these settings will color the HTML Table background and give your Table a default border width.
Object Var - Create default variables for the Connection, Recordset & FileSystemObject objects, as well as SQL String and DSN Name. When you assign variable names to the three objects, these will be reflected in Express menus, as well as in the default code inserted by the various Assistants.

The default font for ASP Express (for viewing on the page only) is changed by clicking in the Font button in the Status Bar. Whatever choices you make here, not only are immediately reflected, but will then be the default font whenever a new file is opened.

Preferences - Startup 1

Preferences Startup 2

Preferences - File Types

Preferences Obj Var

Preferences - Tables


ASP Express Manual

ASP Express Help

TEXT FORMATTING

I will probably skip Bold, Italics & Underline because, everyone who has a word processor on their computer, and anyone who has gotten this far, should know the functionality of these items. Suffice it to say that they are included in the Formatting Pull Down menu as well as the button bar on the main screen.

ALIGNMENT
The Left & Right alignments are in the form of :
<p align right> This is the paragraph </p>

The Center Alignment is the so-called 'Netscape Center':
<CENTER> This is the paragraph </CENTER>
ASP Express uses this version because it's the most consistent with what would be used on a printed page and a whole lot better looking on a web page. Most WYSIWIG editors on the market these days use the other way, but in reality, it looks a lot better the other way.(Editor's Opinion)

HEADER TAGS
Clicking on this pull down menu series, with a word or phrase highlighted, you can turn it into any one of the Heading sizes allowable in HTML.

FONT TAGS
After highlighting a text or phrase, you can either choose the font color, or the font size.
The font color selection brings up a normal Windows dialogue box from which you can use to choose the color you want for the font on the web page. The font color will also change on the text page you are creating, but this part is only for the time of creation. Once you save the file, close & re-open it, the color of the text will be the plain, old, normal, black color.

Clicking on the font size pull down menu series, with a text selection, you can change your selection into any one of the font sizes allowable in HTML.

Keep in mind that these provide their own Open Font tag and Close Font tag. Therefore, they are only to be used when only one font characteristic is to be used. If you want both the Font Size & Font Color changed on your selection, use the Font Format Assistant (next).

Font Format Assistant
This assistant is to be used when you want the color, the font face, and/or the font size changed on the same section of selected text. You can change any one of the properties, all of the properties, or any combination of the properties.

Line Breaks
There are two selections here - No Line Breaks and Full Line Breaks.
The No Line Breaks command is put around a text selection that you want un-broken on your web page.
The Full Line Break gives you a line break & clears it to the end of the line. This means that no graphics or anything else can go to the right of the Line Break, no matter what its own formatting is.

PREFORMATTED TEXT

SubScript & SuperScript
With subscript text, like the chemical formula for water, highlight the number '2' and choose Formatting/Subscript so that you will get : H20. In order to get 5-to the 10th power using Superscript, you would highlight the number '10' and choose Formatting/Superscript so that you will get: 510.

COLOR TAGS
This is a neat little utility which allows you to isolate, or separate the HTML tags in your document so that you can see what your document is designed like more easily. Each separate HTML tag is either colored or bold-faced to separate from the regular text. Keep in mind that this colorization is not save-able. Once you close the file, the coloring is technicall lost. However, when you re-open the file, you can re-color the file if desired, for you convenience. This utility is available in the ASP Express menu bar as well as the formatting pull-down menu.

COMMENT
Clicking this command with your selected text will, in effect, hide your selection on the web page. It will make it a comment and not visible. This is very good for documentation of larger web pages. You can use comments, just like programmers do to, to separate sections of HTML code for easier navigation. This command is available in the formatting pull-down menu as well as the HTML Toolbar.

CLEAN UP TEXT
Most HTML coders know the exasperation of viewing an HTML source file once it has gone through a UNIX box or Macintosh, or whatever. When you pull up the page, there are no line breaks and a whole lot of garbage-type characters on the screen. This makes for a horrible time trying to figure out the source. Well, be exasperated no longer! This command will do just what it says - it will clean up that awful page full of text & put it into a more HTML-friendly format.

Inserting Items

ANCHOR
This is also known as a 'Named Anchor' in HTML. It allows you to select text & make the selection a Named Anchor in your HTML document. This means that you can create a link to this anchor. You can either make it visible or invisible. An example of a good use for an invisible anchor would be to create a 'Top' anchor, like --
<A Name="top"><!--top--></A>
Simply put, what it does to create this invisible-ness is just to make it a comment. But it works just like an anchor in every way. If you wanted to use the highlighted text, say a heading, or a word, to be visible, just click in the Visible box. This command is available in the formatting pull-down menu as well as the HTML Toolbar.

LINK
The Link Dialogue box is a very widely useful tool, in my humble opinion. Not only does it allow you to type in the link (file or URL), but it allows you to browse for the file on your hard disk. If the file is in a directory other than the directory of the file you are creating, you will have to type that directory in. You can also specify a default directory, if needed in your preferences (under the File pull-down menu).
You can choose from three types of links:
HTTP
Named Anchor
None

If this is a link to another web site (http://www, etc), you will need to type in the www address & then click on the HTTP radio button. The program will automatically supply the 'HTTP://', as well as all the other link tag parts for you.

If this link is to a Named Anchor within this document, you can either type in the name of the anchor, or choose the anchor from a pull down list of all the Named Anchors on the page, and then click on the Named Anchor radio button. This provides all the appropriate HTML tag syntax for you.

Also, if you are creating a link which will be used in a frame, then, the optional 'Target Name' text box can be used to supply the name of the target frame in which you want it to appear.

And last but not least, if you click in the 'None' radio button, the default link, not referencing a named anchor or an external URL will be used.

As with most of the other items, the Link command is available in the formatting pull-down menu as well as the HTML Toolbar.

IMAGE
The default text input box is the 'Alternate Text' text box. Here, you will insert the text you want to appear when, in the unlikely event that someone views your page with a non-graphical browser. It also appears as a 'Tool-Tip' in some browsers when you run your mouse over the image. The Graphics Directory is where your graphic image resides. If you designate this in your Properties (Under the File pull-down menu), then it will always remain the same, but can be edited, if need be, on the fly. The alignment box is a pull-down menu of the available alignments for your graphic image.

As you will also see, you can designate your image as an Image Map & give it the URL of the Client side image map. Once you click on 'Select Picture', you can browse to anwhere your image is, select it and it will appear in the box in the lower portion of the dialogue box. The width & the height have been entered for you, so there will be no calculation necessary, unless you want to change the sizes. If you do not enter a number in the Border text box, then the default, Border=0 will be used.

Once all the data is exactly how you want it, just click the 'Apply button & the information will be transferred to your web page.

FORMS
For those who don't know, the actual functionality of a form, like saving the output to a text file, emailing it, adding it to a database, is done by adding another script of some kind to your pages (ASP, cgi, etc)

The Form Assistants are broken down into two 'screens because Forms can get a little complex. The two Assistants are the Basic Form Assistant and the Form Content Assistant. If you start with the Basic Form Assistant, then, you will automatically be placed in the Form Content Assistant to build your form.

The Form Assistant basically gives you the shell of a form. It allows you to set the Action the form is to make (URL - Like a ASP-CGI script or Email), and set the transfer method (POST or GET).

Other Choices to be made are Form Name, Target Name, Output In Table, and Auto Create Input Form. Assigning a Form Name comes in handy when you want to automatically create focus on a certain Form Field (another feature in ASP Express). Target name allows you to put in your own, or the standard targets possible.
Now, we get to the powerful parts - If you choose Output in Table, you will get just what it sounds like - a Table Format, with the labels on one side, in a cell, right justified, and the Form Fields in a second column/cell.
'Auto Create Input Form ', again, does just what it sounds like it does. When you click this check box, the form automatically expands so that you can choose an Access database or SQL Server(7 or 2000) Table from which to base the form contents. Click on 'Browse' to browse for an Access database, or 'SQL Server' to choose the SQL Server table needed. Of course, Enterprise Manager must be installed on your computer for this to work to it's fullest potential. Then, when the Table pull-down list is populated, choose the table the form will use. You can choose the default form item type (text, checkbox or radio button), and the default width of all the text boxes.
Now - click the Apply button and, voilá - you have an input form based on the database & table of your choice!

'Runat=Server' is the designation needed for ASP.Net - click on this box and it will put that designation inside the Form Tag.

Once you have completed the information needed in this screen, you get ---

The Form Content Assistant
This assistant provides the following components and their options:

Label Field
Text Field | Name, Default Value, Length & Maximum Length
Password Field
Hidden Text
Upload a File
Radio Button | Name, Default Value
Check Box
Text Box | Name, Default Value, Number of Rows, Number of Columns
Pop-Up Menu | Name, Multiple Selection
Selection List | Name, Rows in Scroll Bar, Multiple Selection
Submit Form | Name, Button Title
Reset Form
The Label Field allows you to put (to the left of the Form Item) what appears on the form to 'label' the box in which data is to be entered, such as "Last Name"

Option List Item - gives you the following:
<OPTION>
This inserts items in the selection list

Default Option List Item - gives you the following:
<OPTION SELECTED>
This will be the default item selected in the selection list Since it is assumed you will be building an ASP document to carry out the actions of this form, all the form field names are automatically captured for the Request Object Screen

Form Field Validation
This is a fairly simple process - it will insert a basic Javascript version of Form Field Validation. Only two types of validation are included in this version - Empty Field validation (it makes sure something is there before it lets the form submit) and Valid Email Validation (makes sure a valid email address is in the box). For this, you must have the word 'email' in the form field name itself.
Just highlight the form tag - then go to the Insert Pull-down menu - Insert/Forms/Form Field Validation. All the rest is done for you....
There is a Javascript that is added between you HEAD tags, and the other needed scripting is put into the form in the necessary places.

FRAMES Assistant
Some of the best features of this program are the 'Assistants'. These are the dialogues - not wizards - which give you the choices you need to do a particular function within an HTML document. The Frames Assistant is one of these. This feature comes in handy because frames tend to sometimes be tedious and this lessens the burden of the design process. However, there still needs to be good planning ahead of time so that the data you enter into the Frame Assistant will be meaningful.

There are technically two sections to the Frames Assistant. The first one deals with Frames in general. This is where you choose the border color and size and the orientation of your frames on the HTML page. The border color & size are self-explanatory. The orientation means that you are choosing whether your main frames focus is in rows or columns.

The second section deals with the aspects or properties of the frames themselves. As you will notice, at the bottom, there are 4 numbered buttons. Each of the features you are going to choice in this section need to be made for each frame you design. Once you make your choices, you click on the corresponding frame number to 'save' your choices for that frame into memory. Keep in mind that if you make new choices and click the same number, you overwrite your first batch of choices.

Also, it's best to design your frames in order, 1 through 4 because it's usually easier to keep track, mentally, of what you are actually designing. The URL box allows you to either type in your html page for the frame, or browse your hard disk for it. The Subdirectory box is only necessary if the file you choose is not in the root directory where the main frames page is. It is totally optional. As any frame designer knows, you need a name for each frame to act as a target for links. The Name box is where you assign your fram a name. Next, you assign the percentage of the screen the current frame is to take. All that's left now is the Scroll and Frame Border boxes. In the Scroll box, you have three choices, Auto, Yes and No. In the Frame Border box, you only have two choice, Yes or No.

Once you have completed your choices for your first frame, click the '1' button to save your choices into memory. This will clear the text entry boxes and allow you to make new choice for your next frame. Repeat the above for each of the frames you are designing. Once you have selected all your frames choices, click. The 'Apply' button. This action will put all your information on your page. It will even put in a section (which you need to change) which, for people using a non-frames-enabled browser, will either tell them what you want, or give them an HTML page to view.

In the Insert Pull-Down Menu, you have many other Frames capabilities. They are as follows:
FrameSet With Rows - This allows you to add another frameset with rows
FrameSet With Columns - This allows you to add another frameset with columns (duh!)

New FrameSource - gives you the following:
<FRAME SRC="EnterURLHere" Name="name" Scrolling="yes">
Your job will be to replace "EnterURLHere" with the actual URL you will be using, the name you are assigning that FrameSource, and whether or not you want it to scroll.

Name - allows you to enter a name for your FrameSource
Target - allows you to enter "Target=" along with the name of the target
Attributes
Margin Width & Margin Height - these items do pretty much what they say they do. The Margin Width sets the left margin, horizontally (in pixels) and the Margin Height sets the top margin, in pixels, vertically.

No Resize - This gives you the no resize command for the particular frame it's in.
NoFrames Tag- This gives you the following:
<NOFRAMES>
<BODY>
This is where you put the message for those people who don 't have frames
</BODY> </NOFRAMES>

SPECIAL CHARACTERS
There are some items which require some 'special' handling so they show up correctly in an HTML document. For instance, if you wanted to actually print out a left bracket (<) or right bracket (>), since web browsers interpret the left bracket as the start of tag, these items need to be handled specially to do so. The ampersand is another example of this. The following items are 'Special Characters' and are able to be inserted from its submenu:
Non-Breaking Space
Ampersand
Trademark
Registered Trademark
Copyright Symbol
Left & Right Brackets

BASIC HTML Tags
Line Break, Paragraph & Horizontal Rule are the first three of these insertable HTML Tags. Also, sometimes, things happen so that you need to open or close the HTML, HEAD, TITLE, or BODY of an HTML Document. This menu item adds the open and close tags individually for these items when needed.

META Tags
Here you will find the most commonly inserted META tags, insertable within the open & close HEAD tags. They are:
Keywords
<META NAME="KEYWORDS" CONTENT="Keywords go here">
Here, 'Keywords go here' will be highlighted, ready for your input. It all will be put directly following your 'HEAD' tag. If you don't have one, you will be prompted that you need one in order for this feature to work.
Description
You will get the following:
<META NAME="DESCRIPTION" CONTENT="Enter_descriptive_text_here">
Here, 'Enter_descriptive_text_here' will be highlighted, ready for your input. It all will be put directly following your 'HEAD' tag. If you don't have one, you will be prompted that you need one in order for this feature to work.
Author
You will get the following:
<META NAME="AUTHOR" CONTENT="Author Goes Here">
Here, 'Author Goes Here' will be highlighted, ready for your input. It all will be put directly following your 'HEAD' tag. If you don't have one, you will be prompted that you need one in order for this feature to work.
Refresh
You will get the following:
<META HTTP-Equiv="Refresh" CONTENT="Time in Seconds Goes Here" URL="URL goes Here">
Here, 'Time in Seconds Goes Here' will be highlighted, ready for your input. You will also need to change the text that says, 'URL goes Here' to tell it which URL to change to. It all will be put directly following your 'HEAD' tag. If you don't have one, you will be prompted that you need one in order for this feature to work

TABLES
From the Insert Pull Down Menu and also from the HTML Toolbar, there are selections for :
Table Tag, Table Row & Table Cell<BR> These allow you to select text & put the open and close tags for Table, Row & Cell around the Text. This allows you to manually build a Table around text you already have. Since the text remains highlighted, you should start from the top of the Table Hierarchy and go down. That is to say, highlight the text and choose 'Table Tag' first. This puts the open & close tags around your text, but leaves it highlighted. Then, choose the Table Row selection, which also leaves the text highlighted so you can then choose the Table Cell selection. When you do, you will get some of the most common Table Attributes to choose for that Cell, including, Spacing, Padding, Width, Height, Color, etc.

The Table Assistant does things a little differently. Here you can create the Table with the amount of rows and cells you want and then insert the text or image inside the cells individually. One of the great features of the ASP Express's implementation of Tables is that with 'indenting', in a hierarchical fashion, it is made much more easily readable.
The Table Row tag is indented to the first tab stop inside the margin. Then, the Table Cell tag is indented to the second tab stop inside the Table Row tags.

Also, there is a Background Color item which can be selected. This can be put within the Table Open Tag, the Table Row Open tag, or the Table Cell Open Tag. But remember there's no way to automate this one. Wherever you cursor is, that's where it will be inserted. The best choice is to put your cursor just inside the closing bracket of the tag. This way, a space is inserted just before the BGColor command is inserted and it is put in a reasonable place.

There is also a list of common Table Cell attributes that are insertable. Again, there is no really good way of automating this either except to make it necessary to put your cursor just to the right of the 'TD' inside the Table Cell open tag. If you don't, you will be prompted to do so. The cell attributes are :
Cell Alignment (vertical & horizontal)
Cell Width & Height
Cell Spacing & Padding
ColSpan & RowSpan
NoWrap Also - from Insert/Table/Create Table from Text:
If you type in or copy in tabbed text, you can automatically create a basic table by highlighting the text and choosing this item from the pull down menu. Every tab on a line will convert to a cell and every time Enter is pressed, it will convert to a Row.
Be sure to press Enter one last time on the last row and continue the highlighting all the way down to that line and Presto! -- you have a table!
One other note - make sure you have the same number of cells in each row - you might get mixed results if not!

LIST TAGS
The following are the common list tags which are supported by ASP Express:
Ordered
Unordered
Menu
Definition
Each of the above list types are creatable with or without selected text. The 'List Item' tag can be used within the Ordered, Unordered and Menu Lists. For the Definition List, things are a little different. There are no close tags for Definition Title and Definition Item, so you can't have any text highlighted when inserting them. Just put your cursor just to the left of the text you want defined as a Title or Item and insert them.

STYLE SHEETS
There are three choices under Insert/Stylesheets Pull-down menu.
One is the Link to StyleSheet, which will put a style sheet reference within the Open & Close Head Tags. Another option is the embedded stylesheet which basically only inserts the following:
<STYLE TYPE="text/css">
<!--
-->
</STYLE> This will allow you to type in and create your own stylesheet manually. This is not meant to be a full-blown Style Sheet Editor program, but it does have quite a few features.OR:
Note: Your system fonts are loaded when this dialog box comes up. Therefore, the more fonts you have in your system, the longer it will take to load.

You can choose 'Create StyleSheet' from the Insert/StyleSheets pull-down menu.
This will bring up a dialog with a few basic HTML Tags built in and allows you to add tags you need to define in your stylesheet. For instance, if you wanted to have a certain font, or font color in your Table Cells, you could click the 'Add Tag' button to add 'TD' to the pull-down list. Likewise, you can also remove tags from the list with the 'Remove' button.

To add a 'style' to a tag, click the check box to the left of the option you want to add. This will enable the pull-down list to the right. Then, you can choose from the pull-down list. On each tab (FONT, ALIGN, COLOR), you make your choices and then click the Apply Button. You will see your changes appear in the text box on the right side of the StyleSheet Dialog box. If you want to change an option you have already applied to this text box, you must delete it manually, then go back to your StyleSheet choices to add it back in again.

Once you have finished creating the stylesheet, you can choose to embed it in the existing active HTML/ASP document, or save it as a separate stylesheet. If you choose to save it as a separate stylesheet, it will also, automatically add a link to the saved stylesheet in the existing active HTML/ASP document.

JAVASCRIPT
For those who are savvy with JavaScript , ASP Express includes some basic shells for some JavaScript commands. Naturally, the basic Javascript shell is included along with the following: For Loop
Function - (generic tag "FunctionNameGoesHere" needs to be replace with designed function name)
If
If Else
While Loop
With Object
Along with these, the basic OnMouseOver and OnMouseOut events are included too. This is the exact text which will be inserted:
onMouseOver="WhatToDo(); window.status='StatusBarMessageHere'; return true" ("WhatToDo" is highlighted upon insertion) &
onMouseOut="WhatToDo(); window.status='StatusBarMessageHere'; return true" ("WhatToDo" is highlighted upon insertion)
With these mouse events, there are two items which are generic tags ("WhatToDo" & "StatusBarMessageHere") that naturally need to be replaced.
INSERT NAME
This 'command' can be put anywhere that it is desireable to apply a name. It is quite common in JavaScript to define objects, therefore it was put just under the JavaScript pull-down menu item. Naturally, there are other places/uses, like Frames. Nevertheless, the text :
Name="NameGoesHere"
is inserted using this pull-down menu item. The text 'NameGoesHere' is automatically highlighted for your immediate input.

Under the VIEW Pull-down menu:

F-11 HTML TOOLBAR
This menu item turns off & on the ASP Express Toolbar - the second toolbar with all the HTML-Specific buttons. F-12 ASP Toolbar another toolbar allows the following:
Select Case, If Then Else, Do While, For-Next, ASP Comment, ASP Delimiters, Objects dialog box, and Response

POP-UP MENUS (Right Mouse Button Click)
When any amount of text is highlighted and the right mouse button is clicked, a pop-up menu will appear which is the same as the 'Formatting' Pull-Down Menu.
When no text is highlighted and the right mouse button is clicked, a pop-up menu will appear which is the same as the 'Insert' Pull-Down Menu

Nav Bar Assistant
You've seen those Javascript Rollover buttons for navigational purposes, right? Well, this allows you to create one of your own. It takes a little planning ahead of time, but it's a lot less work to do it this way. And, of course, this does not create the images for you - those must be created and or supplied by you.

There are two ways you can create one of these - as in include or you can embed it into the document itself. If you want to create it as an include, then go to File/New/Code Page(Blank) to create a new, blank page. This Navigation Bar generator supports three states of buttons - normal, mouseover and the down state. The down state is also used as the normal button when the ASP check box is chosen.

The first screen comes up allows you to choose how many buttons are going to be in this Navigational Bar. Then, on the next screen, there are basically two areas of information you must choose and they are in order, top to bottom on the screen. Most are self explanatory, though they are listed here anyway:
Format/Positioning
The 'Set Relative Directory' is there so you can choose the directory you want. All the coding is relative coding - NOT absolute. If you haven't saved the file already, you will need to choose the directory you want. If you have saved the file, but want another directory chosen, naturally, this is where you would do that.
Create in Table - automatically puts table tags around code - you only need to add decoration.
Vertical - Horizontal - this will add HTML Breaks after each image if it's to be displayed vertically, or leave them out if you want to display it on the page horizontally
ASP - if this is chosen, ASP scriipting is used and the down state is used as the sole image, if the name of the page is the name of the destination URL supplied in the boxes below.
Choose Images
Here's where you actually choose the images for each state referred to above - the normal, mouseover and down states. Mouseout is taken care of automatically. Browse to locate the images for each of the states described. Then, enter the HTML Alt attribute, and the Status Bar notation you want.
You do this ONE BUTTON at a time.....you will see buttons on the dialog box with numbers on them. These directly relate to each button you want to add to the Navigational Bar. They MUST be done in order....once you've choosen all the different images and details for the first button, press the '1' button. Then, of course, when you've finished with all the same information for number second button, you press the '2' button.

Once you've completed all buttons in the Nav Bar, then press the 'Apply' button at the bottom.

WEB PAGE

SELECT COLORS
This window/Assistant lets you choose any of the basic colors of your HTML page - Background, Text, Link, Visited Link, Active Link. Just click on the item who's color you want to assign (right column) and move the scollbars, adjusting the RGB levels until you have the perfect match for that item. Once that item is selected, choose another item, and so on. Once you have applied all the colors you want, just click the 'Apply' button. This will locate your BODY Tag & insert your changes within the Tag.

BACKGROUND IMAGE
This selection window allows you to set a background image/graphic for your HTML page. Whichever graphic you choose will be tiled throughout the page. Here, the directory box will show your default subdirectory setting (set in Preferences), if you've set it. You can either leave it alone, if it's correct, or change it, if necessary. The Fixed Background check box is there for MSIE users who want the Background Image fixed when you scroll the text in the HTML page. This is also what the Fixed Background Pull Down Menu is for.

CHANGE CASE
F8 and F9 change the case of all the tags on the page to Lower and Upper, respectively. Keep in mind, though, that if you want to change case AND color the tags, change the case FIRST. Then - color the tags. Once you color the tags, if you change the case, I can't be responsible for the screen colors. Sorry, but until I find away around this, it's the best I can do.

WordWrap The status of Word Wrap (whether it is on or off) will appear in the status bar. If it is on, uner the Web Page pull-down menu, you will have the option to Turn Word Wrap off. If it is off, the option changes to turn it on.

PUBLISH Assistant (Shift-F9)
With this screen, you can either send the saved version of the file you are working with or another saved file on the web server of your choice. If you have assigned a default URL, logon name and password in the Preferences, these defaults will automatically show up in the appropriate boxes. If you haven't, you can assign them as needed.
Clicking this option will automatically log you into the default web server you have assigned in Preferences, along with the default UID & PWD. You can either double click on a specific directory to change to that directory, or click the Send button to send the file you have open. If you need to send another file, other than the one that is currently 'Active', just click on the Browse button to find the one you want to send.
The Parent button works just like the one on the Remote Tab of the Express Toolbox. Once you have changed directories, it will change back to its Parent directory.
Delete - Once you have a directory list, if you click on a file in the list, you can press the Delete key to delete it from the Web Server.
Send - When you click on the Send File button, it will go to the exact path which is showing in the File List Box.

Express ToolBox
Tags Tab lists many HTML related tags including ASP, Javascript, PHP and User Defined Combination Tags. Double click on any tag to insert it into your document wherever your cursor is. You can also click on the Plus and Minus signs at the bottom of the window to either Expand all the items or Collapse them.

To define your own User Defined Tags, you can go to Preferences and click the Startup-2 Tab. Then click the Edit button in the User Definable Combination Tags section or go to the UserDefined Node in the Express Toolbox (Tags Tab) - Create/Edit. You can define up to 7 tag combinations. First, click on the Edit check box to enable the text boxes for that section. You must define at least a Name and a Left Tag for this to work correctly. If you create a left and right combination, when you select text and double click on your combination, your selected text will remain selected, just like the normal ASP Express way of doing things. To delete an item - Click the Edit check box, then tab to the first item - the Name box - press delete to clear the entry. Once you've finished clearing the entry, press 'Apply'.

In the Local Files Tab, you can navigate through your file structure and double on the files you want to load.

In the Links Tab, you can use it by going to the Help Pull Down menu & click on 'List External Links'. This will list all your web links that have 'http' as a prefix. On any one of these links, you may either right click or double click in the Links Tab to bring up a popup menu allowing:
Browse Brings that link up in the Browser Window
Edit
Finds that link in your open document, and highlights it, allowing changes to be made. If a new link is desirable, simply choose paste to replace the existing link while it's highlighted. Naturally, when the link is found any other editing choices are available also.
Refresh
Once you have made changes to your open web document, you can choose to refresh the links to reflect any changes you have made.
Clear
This choice will remove all links from the link Tab window. Close Toolbox
This will close the Express Toolbox. Ctrl-F12 will open it again.

Remote Tab - work with remote files locally via FTP
This is a very powerful section of ASP Express, and as of version 2.0, it's totally re-written with multiple FTP profiles available. With the Remote Tab, you can load files directly from your web server via FTP and save them back. Keep in mind this is designed only for access to and saving Remote files. All the ftp information for all your entries are included in a new file that you'll most likely want to backup every once in a while, especially when you need to re-install for any reason. The file name is 'ASPExpress_Y0077.tt.aop'. Also - rest assured - all your passwords in this file are encrypted for your protection.

The instructions for working with FTP sites are below:
To add a new FTP profile, right click in the upper section of the Remote Tab area, and choose 'Add FTP Site'. The choices you have at this point are :
Description - this is what you name the ftp connection - only for your own purposes - no url is needed here.
URL - here's where you put in the url to connect with.
Directory - if there is a different directory than the root directory where all the files are - sometimes called a Host Directory.
Login - your user ID for each ftp site
Password - your password for each ftp site
Connect Type - Active or Passive.....just leave it on the default if it works.
Port - the default port number is the normal port number for ftp. Only change it if given explicit instructions from the ftp host administrator

You probably noticed, when you did the right click, that you had other options - Edit, Delete & Connect (Disconnect, if you are already connected to a site). If you need to change your ftp connection information for any particular site, click on the site name, then right click to Edit the information. Then, if you no longer wish to list a particular site - click on it, right click and choose Delete.
To Connect to any one of the FTP sites you entered here, either choose it, then right click and then choose Connect, or the simplest way is just to double click on the ftp site.

the buttons at the top of the Remote Tab are:
Save (the disk Icon) - it saves the open file directly back to the open directory in the open FTP site
Delete - deletes the selected file on the FTP site - be very careful.
Reset - clears current connection
Resize - in case filenames are fairly big on the remote site - clicking here makes the Express Toolbox much wider - then, click again to put it back to the former size.

Local Files
This tab of the Express Toolbox allows you to choose the Drive, Directory & File Visually. It will also default to the directory you designate as your default directory in the Preferences Dialog.

VIEW
One of the other great features of ASP Express - If you have MS Internet Explorer 4.0 or above installed on your machine, then ASP Express will use the 'engine' of it to create an internal Viewer for your HTML page. If you do not have it installed, ASP Express will inform you of this and, once you click the OK button, it will load your System's Default Browser in order to view your page.

Search/Find and Replace
Now, under the Search pull-down menu, you can choose Find or, when you press Ctrl-F, you will get a new Find screen. This will essentially do the same as before, but the screen will stay on top and allow you to continue your search. Once your found word is highlighted, click the Find Screen again and click the Find Next button. If you decide to search for a different word, when you replace the word in the text box, the starting point will automatically return to the top of the file. You will also notice, that as you add words to be found, it is added to a running list, so if you have another document open that you want to search in for the same word, just click on the arrow and choose the word you want and click on Find Next. Naturally, once you quit the program, this list goes away, but the list will stay as long as you have ASP Express running.

You also will notice there is a Replace Tab. Click on it and you will not only see a Find text box, but a replace text box. When you put a word in the Find box, click on Find Next. Then, type your word in the Replace text box & click replace. It will replace the word that it found and find the next one. You can, at any time, click cancel to close the dialog box and conclude your searching. The Replace text box also keeps a running list of words you used.

And lastly, but not least, if you type in a word in the Find box, type a word in the Replace box, and click Replace All, as promised, the procedure will start from the beginning of file and replace every instance of the word you typed in the Find box with the word you typed in your Replace text box. Please use caution as this procedure can not be undone.

The Replace item in the Search Pull down menu goes directly to the Replace positioning of this Find/Replace screen. If the Search & Replace in Multiple Files Check Box is checked, you will then go to a dialogue box that will allow you to enter a directory where you want the text changed in all the files within that directory and the directories below that level

Keep in mind that the previous, simple search/find and Find Next (F3) items are still available, if needed, but under the Edit pull-down menu.

Change Viewing Font
To change the viewing font of your page, click on the status bar, at the bottom of the screen, where the font name and size are listed. This will give you the standard font size and name dialog. There are two things to keep in mind:
1. This will ONLY change the viewing font while you are editing the file. This has nothing to do with the font on the web page when it is viewed by a browser.
2. By changing the font this way, it is temporary. To change the font so that the new font is used each time ASP Express is used, go to the File pull-down menu and choose Properties. Click on the Font Info tab, choose GET FONT & SIZE. Then click in the Save Settings check box and click the APPLY button. This will save your Font Viewing preferences.

ASP
When you open or save a file, you can choose ASP as a file type. This is the default type, although there are many others.

Most ASP related items are under the ASP pull down menu. But there is, at this time, one exception. That is the ASP Structures Tool Bar. Click the View pull down menu and choose the ASP Structures Tool Bar. When the toolbar appears, you will see buttons to create basic ASP function templates such as the Select Statement, If-Then, Do-While Loop, and For-Next Loop. Also, there's an ASP Comment button. Click anywhere in the line you want commented out and it will go to the beginning and insert a single quote comment marker.

Under the ASP pull-down menu, there is an ASP Code entry. This will allow you to insert several pieces of ASP code directly into your ASP/HTML Page. Some of the entries are:
VBScript Header | Script Runat
Open/Close Script Tags | Surround with ASP Tags
Request | Response
Standard ADO Prefix | Execute SQL Statement
Include File | ADO Connection Assistant
REQUEST: You get a dialog box where you can choose 'Form' or 'Querystring', depending on what action you chose in your Form. To insert your new variables, you have two options - Automatic and Manual.
If you have gone through the Form Creation process and have 'Grabbed' all the form field names, and they're all generic, you might want to just choose Automatic Variable Creation. This will automatically create variables for all the FormFields it has grabbed (with 'str' in front of the form field name as the name of the variables)
You also have the choice of Manual Variable Creation. This way, you can :

  1. Give your variables your own special names, and
  2. Choose to add a 'Replace' section of coding after each one. The default code replaces a single quote with two single quotes.
Here you also have the choice of Server Variables (from a pull down list). Here, too, you can click on 'Apply' as many times as needed and then, click 'Exit' to close the box. If you want a structure like:
<% strAgent=Request.ServerVariables("HTTP_USER_AGENT")%>
then, there is a text box where you can enter the variable name.

RESPONSE: Here you have a dialog with all the Response possibilities, along with the choice for opening & closing ASP tags, including the Recordset Name, Database FieldName, Line Break at end of Bracketed phrase.
If you click on the 'Include Recordset Name' Check Box, you can then enter a Recordset Name, and a FieldName. If you clicked the Open/Close ASP Tags, you would get an output similar to this:
<%=MyRS("FieldName")%>
This could come in handy when coding your output. For instance, You could type in the following Database fields for:
FirstName:
LastName:
Address:
Then - you could copy each one at a time and, after opening the Response dialog, Enter a Recordset name, and paste it in to the FieldName box, and click on 'Apply'. Once you enter the Recordset Name in the Recordset Name Box, it will continue to carry over until you quit the program. So, if you have multiple FieldNames, you only have to change that particular box each time you open the Response Dialog.

Response.Write - DoubleQuotes
Highlight a section of HTML text with double quotes and choose this command - it will convert the HTML into a correctly formatted Response.Write statement. Note - if there are forced line breaks (where the enter key was pressed), to work correctly, these must be deleted.

The Include File is just what it sounds like - You can use this in the Include File or Include Virtual formats.
If you are using the Include File format, first, click on the File Radio button. Then, browse for and choose the file you want. When it's found, just click 'Apply'.
For the Include Virtual format, just leave the Virtual Radio Button selected. You will notice 'ADOVBS.inc' is the default, so all you would have to do is click on 'Apply' to insert this statement in your file. Otherwise, browse for & choose the file desired. Since this is a Virtual file, you will then need to remove the portion of left side the file path, including the '\', that denotes the actual root for your Web Server. Then, simply click 'Apply' to insert the include file in your page.

Get Form Field Names does pretty much what it says. If you have an existing form and you are going to be building an ASP document which uses the information entered in the form, then you will want to use this pull down menu item. It looks at the form on your document and grabs all the Form Field Names, putting them in the pull down box in the Request Screen when you need it.
When you create a form from scratch, using the Form Assistant, this is done automatically.

Now - here's the really powerful part - the ADO Connection Assistant
When this dialog box comes up, you enter your Variables for your connection, Recordset, DSN (or DSN-less connection), and SQL Statement. You can build your own SQL statement manually here, if you want. If you click DSN-less connection, you and you are using an Access database, you can choose and use a local copy of the database in this feature. If you choose it here, the database will automatically carry over to the SQL statement builder Assistants. Also, there's an SQL Builder Assistant section where you can get help building your Select and Insert SQL statements.

The output section allows you to choose how you want to view your actual output. Your three choices are:
HTML Table, Select List (form), and None

SQL Statement Builder
With the SQL Statement Builder - surprise - you can easily build your own SQL Statements - Select, Input and Delete. It also includes Inner Joins. One of the newer features is that it's a stand-alone builder also.....pressing the 'Select' button on the bottom right side of the task bar - brings up the the SQL Builder Assistant - outputs in either String=Statement format or the basic statement by itself.

The power comes in that it will connect directly to the database of your choice - either MS Access or SQL Server (7/2000). To get help with the SQL Select statement, click on the Select button. You are presented with a window that includes three steps. If you want the easiest way through it all, choose each of the three in order. To work with Number 1, you must have a local copy of the Access database on your computer or attached network. If you have not chosen DSN-less connection, here, you Choose the database. This will automatically fill the field and table pull down boxes. Of course, if you have already chosen DSN-less connection and selected the database in that dialog, these fields will automatically be filled when the dialog loads.

If you are using an Inner Join statement, you might want to consider selecting the 'Table.Field Format' check box. If you do this, each field you choose will be in that format. This is very useful if you have tables with fields named alike.

There is also a Database Structure button. If you click here, it will pop out a 'Tree-view' of the database you have selected, with the Tables and the Fields. You can use it for merely viewing the DB structure, or double-click on the field names to populate your SQL statement.

When this pops, out, there is another button - 'TEST'. Here, you can test your SQL statements - no variables, though. Either Create your SQL Select statements with the SQL Builder Assistant, or type in your own - however, the database and tables must be chosen through the dialog box.

If you merely want to Select all, choose the table in the Table Pull-down list, click the 'Select All' check box, and click the 'From' Button.

If you want to build your statement with certain fields, then choose the Table from the Table Pull-down list. This will populate the Field Pull-down list. From this list, click on the Field you want and then click the 'Add Field' button. Repeat this action for all the fields you need. You can also double click on the individual Field Names in the Database Structure Tree to select each field. If you are going to use an Inner Join, you can change the Table Selection during this process also.
Once you are finished adding fields, make sure the Table pull-down list has the correct Table selected and click the 'From' Button.

This will give you two choices - one is to just go on. The other is to continue and make an Inner Join Statement. Once the Inner Join Button is enabled, click it. This will add the Inner Join text to the window and it also enables the 'Add Table' button. Now, select a secondary Table name from the Table Pull-down list for the Inner Join. You should know this by the Table that was already selected when you clicked the 'From' button.

Now, click the 'Add Table' button. This adds the secondary table in the statement and the word 'ON' which now enables the 'Field 1' button. Choose the first field in the statement where you want the link between tables to take place. Once this is clicked, it gives you the first field with an '=' sign after it, along with the 'Field 2' button becoming enabled. Select your secondary table and the field which matches the first field and click the 'Field 2' button.

At this point, you are finished with this section. Click the 'Enter' button.
This will enable the Third Section, where you can further narrow your search with WHERE and ORDER BY clauses.
Then, choose the items you want in the second section and press the enter key. This will make all the items in the third section available for use. Beside the word 'WHERE', there is a pull down menu with all the field names. Pick the field name for your Where clause. Then pick the operator ( =, =>, >, <=, <, <>. or LIKE). Then, if you have Request.Form or Request.Querystring variables already set on the page, you can choose the variable from the Variable pull-down menu. You will probably notice that the 'Order By' pull down box is empty...it's not, but there's not an automatic choice to make. This way, if you don't need the Order By part, you won't get it in your SQL statement. Once your 'parts' of the Select statement are assembled, click 'Apply'

If you know and understand SQL Select Statements, you will find this a breeze. If not, you may need to brush up on SQL to make this part worthwhile. Naturally, this may not be the exact form that you need for your SQL statement, but it does what it is meant to do - it gives you a great start and cuts down greatly on your typing.

If you want the output automatically put in an HTML Table, click the appropriate box on the ADO Connection screen.

The Insert button is just what it sounds like. Like the Select Help button helped you with your Select SQL Statement, the Insert Help helps you get started with your Insert SQL statements. The form is much the same, but, in section 3, you are given two list boxes. The one on the left is the list of Access Database fields. The one on the right is the list of Variables you've defined on the page. If you have all your Request.* variables declared on the page, the Variable list box is automatically populated and then, if you don't have a local copy of the Access database to which you are attaching, you can enter the database fields manually. Also, if you haven't declared all your Request.* variables, you can then enter them manually also. But keep in mind, they have to match what you later insert on the page. Check out the Conversion feature - SQL Text to Numeric

The Delete Button helps you build a delete statement. If you click the DELETE button on the ADO Connection Assistant, you will automatically be assigned the '*' to designate 'Delete All' in your statement. From there, you use it just like you would use the Select Button. Select a Table Name, and if needed, a WHERE clause. The ORDER BY clause section is naturally not visible in this scenario

Delete/Edit Fields - this very powerful feature is for use with the HTML Output selection in the ADO Connection Assistant.
Choosing this checkbox will give you a Delete Column and an Edit column in your HTML Table output, based on your SQL query. It will also automatically create the pages necessary for Deleting a record based on a click in the Delete column, and two Edit pages. You will create a total of 4 pages here - one that gives the HTML Table Output, based on your query, one DELETE page, and two EDIT pages.
From the HTML Table Ouptut, choose a particular record, click EDIT and it will bring up a form with the item selected. Modify/Change/Edit it the way you want, and the second edit page does the UPDATE work for you.
As the pages are automatically created, you are given a normal Save Dialog box for each of them.....save them where you want, BUT - if you change the default name given to them in ASP Express - remember that you will need to change the references to those files inside the other appropriate files. To the experienced user, this will be perfectly obvious, but to a novice, I would recommend that, until you are perfectly comfortable with how these files work, that you keep the automatically generated names.

DSN-Less Connections
This allows you to automatically choose a DSN-Less connection instead of a DSN. You can choose between an Access, SQL Server, or Oracle Database. You must know things like Database name, Server name, etc. to fill in the blanks.

Preferences
In the preferences dialog, you can set: Startup 1 - Your default Root directory (the directory where you always want the program to open), the default Graphics directory, your default email address (for use in mailto links),
Startup 2 - Default FileType (either HTML or ASP), and whether or not your ASP Structures Toolbar is automatically on or not, whether or not you want Word Wrap on or off, Auto-coloring of Tags on or off, Web Safe color palette, Express Menus On or Off, Express Toolbox open at Boot time.
Font Info - The default Font & Size used in the Editor
FTP Info - The URL, login name & password for the place where you will most ofen be FTP'ing your files, along with a default directory where you want your file list to start, Passive or Active Mode, FTP Port and whether you want to be Prompted to save locally when you use the SAVE button in the Express Toolbox. .
Default Table - In your HTML Table output (ADO Connection Assistant), these settings will color the HTML Table background and give your Table a default border width. Object Var - Create default variables for the Connection, Recordset & FileSystemObject objects, as well as SQL String and DSN Name. When you assign variable names to the three objects, these will be reflected in Express menus.

Code Librarian
When you choose 'Code Librarian', a dialog box appears with two text boxes. The one on the left is the name of your script, for identification purposes. When you click on one of the items in the left text box, it's corresponding code will appear on the right side. To insert it into your document, at the place where you left your cursor, you can either click on the 'Apply' button, or double click on the item name in the left text box.

Naturally, you can add snippets of code to your Library also. To do this, just click on the 'Add New' button. You will notice that the right text box clears itself of all text and a new text box appears just above the lower buttons, labeled 'New Item'. Also, the 'Update' button turns magenta (that's as close as I can come to exact) in color.

In the 'New Item' text box, you will type in a short name for your script. Make sure it's something you will find it easy to identify with the script you will be entering. Next, either type, copy or drop (drag & drop) the new code snippet in the right side text box. The only thing left is to click the 'Update' button. There, you have it. Your new code is now part of your library to use at any later date.

Also, if you want to change the name of your snippet, or the code within the snippet, press the 'Edit' button. As with the 'AddNew' process, the 'Update' button will turn Magenta in color and in order to update the changes, the 'Update' button must be pressed. If you change your mind, once the 'AddNew' or 'Edit' process is started....make sure to press the 'Cancel' button to cancel the transaction. Otherwise, results are questionable, at least.

Hit Counter
Here, you can create your own ASP hit counters for each ASP document in your web site. Keep in mind, this is not a graphical, but a text based counter. Start by placing your cursor at the exact place you want your counter to display. Even though you only notice one seamless process, this is actually done in a series of steps.
First, a new document is created for the actual counting process. You can save this document anywhere on your site you desire, but, personally, I recommend keeping all your counter documents in one 'Counter' directory. The directory doesn't need to be named 'Counter' - it can be named anything you like. As the new counter page is created, it is given the same name as the page which is referenced by it, but with a '.cnt' extension.

**Note: You are working and saving on a local or network computer. If these files are to be moved, the actual file structure on your local disk must mirror the same structure as your production server. Otherwise, when moved, the code will not work.

Once the counter file is saved, the next step is to make a couple of choices. You will notice two check boxes - one for 'Session Sensitive' and the other marked 'Visible'. 'Session Sensitive' merely means that once the web page is hit by an end user, if he refreshes the page, the counter will not increment, since he's still in the same session. The 'Visible' check box is fairly self explanatory. If you want the counter file to increment, but you don't need or want your counter to show on the page, check this box. Web designers have varying opinions on whether or not visible counters are 'cool'.

Since your local file architecture is mirroring your web file architecture, the next step is important. You will notice that your Filename.cnt (counter file) is listed in the lower text box with its entire local/network path. This may or may not be a workable web server. At any rate, the note below the text box is very important. It says, "Remove the portion of the directory (to the left) that is the Web Root."

What this means is that, if the text box has the following:
C:\Inetpub\wwwroot\Counters\main.cnt Then, what you need to do is highlight 'C:\Inetpub\wwwroot' and delete it. That will leave '\Counters\main.cnt'. This final portion needs to reflect the actual web root position on your web server. If this is incorrect - the counter will not increment.

Go To Line Number (Ctrl-G)
This is fairly straight-forward. If you need to go to a specific line number, just press Ctrl-G and enter the number of the line. Then, click the 'Go' button. It will automatically turn off Word Wrap to get an exact line count.

Response - Clear
This is a set of two buttons - Response & Clear. The 'Response' button is a Response.Write button. It will put the entire syntax, 'Response.Write "PutDataHere" ', with 'PutDataHere' highlighted. This is so you can write out exact HTML code.
If you want to write out a variable, the 'Clear' button clears the highlighted text & the double quotes.

Insert ASP Date
Here, you can choose between the standard formats (General, Long Date, Short Date, Short Time and Long Time). Also, you can choose whether or not to surround the phrase with Open & Close ASP tags, a Response.write format or 'MyVariable=' format

Convert Text to HTML
**Note: YOU MUST HAVE A TEXT FILE (NOT AN ASP OR HTML FORMATTED FILE) OPEN FOR THIS TO WORK CORRECTLY!
This is a very simple conversion process. It adds the HTML tags for Line Breaks and Paragraphs to your text file..basically, the way the line breaks and paragraphs are formatted in your text file are the way the html formatting will be done. If there's a plain line break, a <BR> will replace it. If there is a blank line between lines, a <P> will replace it. This is not meant to be a full-featured converter, just a quick way to get rid of some of those nasty formatting chores in an easy manner!

Convert International Chars to HTML Tags
This will allow for anyone doing HTML or ASP documents using an International keyboard to switch all characters into an HTML Format and also the other way around. If you have text highlighted, it will convert only that particular text. If not, it will convert the entire document.

Set Form Field Focus(Alt-I-F-S)
This procedure allows any form field you designate to receive 'focus' upon the loading of the page. This means the cursor will automatically be in the form field you define. First, you must designate a Form Name. If you double-click on the Form Name and then choose this procedure, the form field name will automatically appear in the correct text box when the dialog box appears. If not, you get a message telling you to 'Put Form Name Here'. If the page you have showing is a form page (and it should be), all the form field names will be 'grabbed' automatically and inserted into a pull down list in the dialog box.
Once you make the choice of which of the Form Fields you want your cursor to default in, click the 'Set Focus' button. This will automatically put the correct Javascript syntax in the 'BODY' tag for you.

Convert Open/Close Tags(Alt-I-P-V)
Sometimes, you need to show an open and/or closing HTML bracket (< or >) on your web page, just as it is (like in a tutorial). To do this in HTML so that the web browser doesn't recognize this as a real open or close bracket, you need to use the correct HTML syntax. To do this in ASP Express, just highlight the text you need to conver and run this command - voila - you have the correct syntax on your web page.

International Characters
To get a window/dialog where you can correctly insert International Characters in your HTML, choose F7.
If you have an International keyboard, when the page is finished, you can choose to highlight a section, or if no section is highlighted, selecting Shift-F11 (Web Page/Convert/International Characters to HTML Tags), you can convert all your international characters to the correct HTML syntax automatically.
With Shift-F12, you can reverse this procedure.

SQL Text to Numeric - in your Insert Statement, many times, you have a mixed table - some numeric and some text. However, in the Insert SQL statement, you are given the choice of one or the other. If you choose all Text (Alphabetic), but you have a couple of Numeric table fields, just highlight that code and this will change it by removing the single quote marks.

Meta-Tag Assistant
It's pretty much self explanatory....this will replace anything you have between the Open & Close Head Tags. It recognizes and retains the Title Tags and Style Tags, but BE AWARE - any other scripts must be temporarily moved so you won't lose them.
This is a great tool to get all your Meta Tags done at one time....

Format Currency/Number
By clicking FormatCurrency or Format Number, under VBScript/Format in the Tags window, you bring up the Format Currency/Number Assistant. Whichever one you double-clicked (Currency or Number) will be chosen by default when the assistant opens. If you select a number before you double-click, that number automatically is shown in the number box. Also, the default for 'Digits After Decimal' for currency is '2' and the default for number is '0' Choices are:
Response.Write
This puts the shortcut "=" in front of the entire statement
Include Leading Digits - This choice is whether or not to put a digit to the left of the decimal whether you manually included it or not.
Group Digits
This groups the numbers by separating them with commas...(i.e 4,545,346 instead of 4545346)
These next three should be self-explanatory
Surround Function with ASP Tags
Digits after Decimal
Use Parens (Parentheses) for Negative Numbers

Express Menus
Express menus are popup menus which occur to help auto-complete your ASP phrases. Express menus occur when you type:
Response.
Request.
(When you choose ServerVariables, you also get a popup list of Server Variables from which to choose.)
Server.
(Also, when you choose CreateObject from the Server Express menu, you get another Express menu with Objects to choose.)
Another Express Menu popup occurs when you double-click on FormatDateTime under VBScript/Format in the Tags window, within the Express Toolbox. If, in your text, you need to use the words Request, Server or Response as the last word, followed by a period, when the Express menu for that word appears, just type another period. This will clear the popup menu as well as add the period. Pressing the Escape key will also clear the menu, if needed.
You can, in PREFERENCES, choose default variable names for Connection, Recordset and the FileSystemObject. When this is done, Express menus are automatically built for each of them, giving you a choice of Methods and Properties for each, as well as LockType and CursorType for Recordset, in the Open method.
An added feature of this, is that when you type the word 'Set', followed by a space, you will get an Express menu with each of these objects (Connection, Recordset and the FileSystemObject) to help you finish your SET statement. If you want to use the word 'SET' in a sentence without one of these, when the Express menu pops up, just click the 'Period' to close the Express Menu.
You can also, in PREFERENCES, choose to turn Express Menus on or off.
These Help pages were written entirely with ASP Express!